/**
 * @file attr_const.h
 * @date 2021/07/02
 * @brief The hearder file for attribution constant.
 *
 * Copyright (C) 2021 FMSoft <https://www.fmsoft.cn>
 *
 * This file is a part of PurC (short for Purring Cat), an HVML interpreter.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * The code is derived from Lexbor (<https://github.com/lexbor/lexbor>),
 * which is licensed under the Apache License, Version 2.0:
 *
 * Copyright (C) 2018 Alexander Borisov
 *
 * Author: Alexander Borisov <borisov@lexbor.com>
 */

/*
 * CAUTION:
 * This file is generated by the script "attr.py"!
 * Do not change this file manually!
 */

#ifndef PCHTML_ATTR_CONST_H
#define PCHTML_ATTR_CONST_H

/* VW: move to purc-dom.h
typedef uintptr_t pcdom_attr_id_t; */

typedef enum {
    PCDOM_ATTR__UNDEF      = 0x0000,
    PCDOM_ATTR_ALT         = 0x0001,
    PCDOM_ATTR_CHARSER     = 0x0002,
    PCDOM_ATTR_CHECKED     = 0x0003,
    PCDOM_ATTR_CLASS       = 0x0004,
    PCDOM_ATTR_COLOR       = 0x0005,
    PCDOM_ATTR_CONTENT     = 0x0006,
    PCDOM_ATTR_DIR         = 0x0007,
    PCDOM_ATTR_DISABLED    = 0x0008,
    PCDOM_ATTR_FACE        = 0x0009,
    PCDOM_ATTR_FOR         = 0x000a,
    PCDOM_ATTR_HEIGHT      = 0x000b,
    PCDOM_ATTR_HREF        = 0x000c,
    PCDOM_ATTR_HTML        = 0x000d,
    PCDOM_ATTR_HTTP_EQUIV  = 0x000e,
    PCDOM_ATTR_ID          = 0x000f,
    PCDOM_ATTR_IS          = 0x0010,
    PCDOM_ATTR_MAXLENGTH   = 0x0011,
    PCDOM_ATTR_POOL        = 0x0012,
    PCDOM_ATTR_PUBLIC      = 0x0013,
    PCDOM_ATTR_SCHEME      = 0x0014,
    PCDOM_ATTR_SIZE        = 0x0015,
    PCDOM_ATTR_SLOT        = 0x0016,
    PCDOM_ATTR_SRC         = 0x0017,
    PCDOM_ATTR_STYLE       = 0x0018,
    PCDOM_ATTR_SYSTEM      = 0x0019,
    PCDOM_ATTR_TITLE       = 0x001a,
    PCDOM_ATTR_TYPE        = 0x001b,
    PCDOM_ATTR_WIDTH       = 0x001c,
    PCDOM_ATTR__LAST_ENTRY = 0x001d
}
pcdom_attr_id_enum_t;

#endif  /* PCHTML_ATTR_CONST_H */
