/**
 * @file html_tag_res.h
 * @date 2021/07/02
 * @brief The hearder file for resource of tag.
 *
 * Copyright (C) 2021 FMSoft <https://www.fmsoft.cn>
 *
 * This file is a part of PurC (short for Purring Cat), an HVML interpreter.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * The code is derived from Lexbor (<https://github.com/lexbor/lexbor>),
 * which is licensed under the Apache License, Version 2.0:
 *
 * Copyright (C) 2018 Alexander Borisov
 *
 * Author: Alexander Borisov <borisov@lexbor.com>
 */

/*
 * CAUTION:
 * This file generated by the script "tags.py"!
 * Do not change this file!
 */

#ifndef PCHTML_TAG_RES_H
#define PCHTML_TAG_RES_H

#include "private/dom.h"

#ifdef PCHTML_TAG_CONST_VERSION
#ifndef PCHTML_TAG_CONST_VERSION_B8542F7FAD05D5F6ED2DE2DAA5F870AC
#error Mismatched tags version! See "lexbor/tag/const.h".
#endif /* PCHTML_TAG_CONST_VERSION_B8542F7FAD05D5F6ED2DE2DAA5F870AC */
#else
#error You need to include "lexbor/tag/const.h".
#endif /* PCHTML_TAG_CONST_VERSION */

static const pchtml_tag_data_t pchtml_tag_res_data_default[PCHTML_TAG__LAST_ENTRY] = 
{
    {{.u.short_str = "#undef", .length = 6, .next = NULL}, PCHTML_TAG__UNDEF, 1, true},
    {{.u.short_str = "#end-of-file", .length = 12, .next = NULL}, PCHTML_TAG__END_OF_FILE, 1, true},
    {{.u.short_str = "#text", .length = 5, .next = NULL}, PCHTML_TAG__TEXT, 1, true},
    {{.u.short_str = "#document", .length = 9, .next = NULL}, PCHTML_TAG__DOCUMENT, 1, true},
    {{.u.short_str = "!--", .length = 3, .next = NULL}, PCHTML_TAG__EM_COMMENT, 1, true},
    {{.u.short_str = "!doctype", .length = 8, .next = NULL}, PCHTML_TAG__EM_DOCTYPE, 1, true},
    {{.u.short_str = "a", .length = 1, .next = NULL}, PCHTML_TAG_A, 1, true},
    {{.u.short_str = "abbr", .length = 4, .next = NULL}, PCHTML_TAG_ABBR, 1, true},
    {{.u.short_str = "acronym", .length = 7, .next = NULL}, PCHTML_TAG_ACRONYM, 1, true},
    {{.u.short_str = "address", .length = 7, .next = NULL}, PCHTML_TAG_ADDRESS, 1, true},
    {{.u.short_str = "altglyph", .length = 8, .next = NULL}, PCHTML_TAG_ALTGLYPH, 1, true},
    {{.u.short_str = "altglyphdef", .length = 11, .next = NULL}, PCHTML_TAG_ALTGLYPHDEF, 1, true},
    {{.u.short_str = "altglyphitem", .length = 12, .next = NULL}, PCHTML_TAG_ALTGLYPHITEM, 1, true},
    {{.u.short_str = "animatecolor", .length = 12, .next = NULL}, PCHTML_TAG_ANIMATECOLOR, 1, true},
    {{.u.short_str = "animatemotion", .length = 13, .next = NULL}, PCHTML_TAG_ANIMATEMOTION, 1, true},
    {{.u.short_str = "animatetransform", .length = 16, .next = NULL}, PCHTML_TAG_ANIMATETRANSFORM, 1, true},
    {{.u.short_str = "annotation-xml", .length = 14, .next = NULL}, PCHTML_TAG_ANNOTATION_XML, 1, true},
    {{.u.short_str = "applet", .length = 6, .next = NULL}, PCHTML_TAG_APPLET, 1, true},
    {{.u.short_str = "area", .length = 4, .next = NULL}, PCHTML_TAG_AREA, 1, true},
    {{.u.short_str = "article", .length = 7, .next = NULL}, PCHTML_TAG_ARTICLE, 1, true},
    {{.u.short_str = "aside", .length = 5, .next = NULL}, PCHTML_TAG_ASIDE, 1, true},
    {{.u.short_str = "audio", .length = 5, .next = NULL}, PCHTML_TAG_AUDIO, 1, true},
    {{.u.short_str = "b", .length = 1, .next = NULL}, PCHTML_TAG_B, 1, true},
    {{.u.short_str = "base", .length = 4, .next = NULL}, PCHTML_TAG_BASE, 1, true},
    {{.u.short_str = "basefont", .length = 8, .next = NULL}, PCHTML_TAG_BASEFONT, 1, true},
    {{.u.short_str = "bdi", .length = 3, .next = NULL}, PCHTML_TAG_BDI, 1, true},
    {{.u.short_str = "bdo", .length = 3, .next = NULL}, PCHTML_TAG_BDO, 1, true},
    {{.u.short_str = "bgsound", .length = 7, .next = NULL}, PCHTML_TAG_BGSOUND, 1, true},
    {{.u.short_str = "big", .length = 3, .next = NULL}, PCHTML_TAG_BIG, 1, true},
    {{.u.short_str = "blink", .length = 5, .next = NULL}, PCHTML_TAG_BLINK, 1, true},
    {{.u.short_str = "blockquote", .length = 10, .next = NULL}, PCHTML_TAG_BLOCKQUOTE, 1, true},
    {{.u.short_str = "body", .length = 4, .next = NULL}, PCHTML_TAG_BODY, 1, true},
    {{.u.short_str = "br", .length = 2, .next = NULL}, PCHTML_TAG_BR, 1, true},
    {{.u.short_str = "button", .length = 6, .next = NULL}, PCHTML_TAG_BUTTON, 1, true},
    {{.u.short_str = "canvas", .length = 6, .next = NULL}, PCHTML_TAG_CANVAS, 1, true},
    {{.u.short_str = "caption", .length = 7, .next = NULL}, PCHTML_TAG_CAPTION, 1, true},
    {{.u.short_str = "center", .length = 6, .next = NULL}, PCHTML_TAG_CENTER, 1, true},
    {{.u.short_str = "cite", .length = 4, .next = NULL}, PCHTML_TAG_CITE, 1, true},
    {{.u.short_str = "clippath", .length = 8, .next = NULL}, PCHTML_TAG_CLIPPATH, 1, true},
    {{.u.short_str = "code", .length = 4, .next = NULL}, PCHTML_TAG_CODE, 1, true},
    {{.u.short_str = "col", .length = 3, .next = NULL}, PCHTML_TAG_COL, 1, true},
    {{.u.short_str = "colgroup", .length = 8, .next = NULL}, PCHTML_TAG_COLGROUP, 1, true},
    {{.u.short_str = "data", .length = 4, .next = NULL}, PCHTML_TAG_DATA, 1, true},
    {{.u.short_str = "datalist", .length = 8, .next = NULL}, PCHTML_TAG_DATALIST, 1, true},
    {{.u.short_str = "dd", .length = 2, .next = NULL}, PCHTML_TAG_DD, 1, true},
    {{.u.short_str = "del", .length = 3, .next = NULL}, PCHTML_TAG_DEL, 1, true},
    {{.u.short_str = "desc", .length = 4, .next = NULL}, PCHTML_TAG_DESC, 1, true},
    {{.u.short_str = "details", .length = 7, .next = NULL}, PCHTML_TAG_DETAILS, 1, true},
    {{.u.short_str = "dfn", .length = 3, .next = NULL}, PCHTML_TAG_DFN, 1, true},
    {{.u.short_str = "dialog", .length = 6, .next = NULL}, PCHTML_TAG_DIALOG, 1, true},
    {{.u.short_str = "dir", .length = 3, .next = NULL}, PCHTML_TAG_DIR, 1, true},
    {{.u.short_str = "div", .length = 3, .next = NULL}, PCHTML_TAG_DIV, 1, true},
    {{.u.short_str = "dl", .length = 2, .next = NULL}, PCHTML_TAG_DL, 1, true},
    {{.u.short_str = "dt", .length = 2, .next = NULL}, PCHTML_TAG_DT, 1, true},
    {{.u.short_str = "em", .length = 2, .next = NULL}, PCHTML_TAG_EM, 1, true},
    {{.u.short_str = "embed", .length = 5, .next = NULL}, PCHTML_TAG_EMBED, 1, true},
    {{.u.short_str = "feblend", .length = 7, .next = NULL}, PCHTML_TAG_FEBLEND, 1, true},
    {{.u.short_str = "fecolormatrix", .length = 13, .next = NULL}, PCHTML_TAG_FECOLORMATRIX, 1, true},
    {{.u.long_str = (unsigned char *) "fecomponenttransfer", .length = 19, .next = NULL}, PCHTML_TAG_FECOMPONENTTRANSFER, 1, true},
    {{.u.short_str = "fecomposite", .length = 11, .next = NULL}, PCHTML_TAG_FECOMPOSITE, 1, true},
    {{.u.short_str = "feconvolvematrix", .length = 16, .next = NULL}, PCHTML_TAG_FECONVOLVEMATRIX, 1, true},
    {{.u.long_str = (unsigned char *) "fediffuselighting", .length = 17, .next = NULL}, PCHTML_TAG_FEDIFFUSELIGHTING, 1, true},
    {{.u.long_str = (unsigned char *) "fedisplacementmap", .length = 17, .next = NULL}, PCHTML_TAG_FEDISPLACEMENTMAP, 1, true},
    {{.u.short_str = "fedistantlight", .length = 14, .next = NULL}, PCHTML_TAG_FEDISTANTLIGHT, 1, true},
    {{.u.short_str = "fedropshadow", .length = 12, .next = NULL}, PCHTML_TAG_FEDROPSHADOW, 1, true},
    {{.u.short_str = "feflood", .length = 7, .next = NULL}, PCHTML_TAG_FEFLOOD, 1, true},
    {{.u.short_str = "fefunca", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCA, 1, true},
    {{.u.short_str = "fefuncb", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCB, 1, true},
    {{.u.short_str = "fefuncg", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCG, 1, true},
    {{.u.short_str = "fefuncr", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCR, 1, true},
    {{.u.short_str = "fegaussianblur", .length = 14, .next = NULL}, PCHTML_TAG_FEGAUSSIANBLUR, 1, true},
    {{.u.short_str = "feimage", .length = 7, .next = NULL}, PCHTML_TAG_FEIMAGE, 1, true},
    {{.u.short_str = "femerge", .length = 7, .next = NULL}, PCHTML_TAG_FEMERGE, 1, true},
    {{.u.short_str = "femergenode", .length = 11, .next = NULL}, PCHTML_TAG_FEMERGENODE, 1, true},
    {{.u.short_str = "femorphology", .length = 12, .next = NULL}, PCHTML_TAG_FEMORPHOLOGY, 1, true},
    {{.u.short_str = "feoffset", .length = 8, .next = NULL}, PCHTML_TAG_FEOFFSET, 1, true},
    {{.u.short_str = "fepointlight", .length = 12, .next = NULL}, PCHTML_TAG_FEPOINTLIGHT, 1, true},
    {{.u.long_str = (unsigned char *) "fespecularlighting", .length = 18, .next = NULL}, PCHTML_TAG_FESPECULARLIGHTING, 1, true},
    {{.u.short_str = "fespotlight", .length = 11, .next = NULL}, PCHTML_TAG_FESPOTLIGHT, 1, true},
    {{.u.short_str = "fetile", .length = 6, .next = NULL}, PCHTML_TAG_FETILE, 1, true},
    {{.u.short_str = "feturbulence", .length = 12, .next = NULL}, PCHTML_TAG_FETURBULENCE, 1, true},
    {{.u.short_str = "fieldset", .length = 8, .next = NULL}, PCHTML_TAG_FIELDSET, 1, true},
    {{.u.short_str = "figcaption", .length = 10, .next = NULL}, PCHTML_TAG_FIGCAPTION, 1, true},
    {{.u.short_str = "figure", .length = 6, .next = NULL}, PCHTML_TAG_FIGURE, 1, true},
    {{.u.short_str = "font", .length = 4, .next = NULL}, PCHTML_TAG_FONT, 1, true},
    {{.u.short_str = "footer", .length = 6, .next = NULL}, PCHTML_TAG_FOOTER, 1, true},
    {{.u.short_str = "foreignobject", .length = 13, .next = NULL}, PCHTML_TAG_FOREIGNOBJECT, 1, true},
    {{.u.short_str = "form", .length = 4, .next = NULL}, PCHTML_TAG_FORM, 1, true},
    {{.u.short_str = "frame", .length = 5, .next = NULL}, PCHTML_TAG_FRAME, 1, true},
    {{.u.short_str = "frameset", .length = 8, .next = NULL}, PCHTML_TAG_FRAMESET, 1, true},
    {{.u.short_str = "glyphref", .length = 8, .next = NULL}, PCHTML_TAG_GLYPHREF, 1, true},
    {{.u.short_str = "h1", .length = 2, .next = NULL}, PCHTML_TAG_H1, 1, true},
    {{.u.short_str = "h2", .length = 2, .next = NULL}, PCHTML_TAG_H2, 1, true},
    {{.u.short_str = "h3", .length = 2, .next = NULL}, PCHTML_TAG_H3, 1, true},
    {{.u.short_str = "h4", .length = 2, .next = NULL}, PCHTML_TAG_H4, 1, true},
    {{.u.short_str = "h5", .length = 2, .next = NULL}, PCHTML_TAG_H5, 1, true},
    {{.u.short_str = "h6", .length = 2, .next = NULL}, PCHTML_TAG_H6, 1, true},
    {{.u.short_str = "head", .length = 4, .next = NULL}, PCHTML_TAG_HEAD, 1, true},
    {{.u.short_str = "header", .length = 6, .next = NULL}, PCHTML_TAG_HEADER, 1, true},
    {{.u.short_str = "hgroup", .length = 6, .next = NULL}, PCHTML_TAG_HGROUP, 1, true},
    {{.u.short_str = "hr", .length = 2, .next = NULL}, PCHTML_TAG_HR, 1, true},
    {{.u.short_str = "html", .length = 4, .next = NULL}, PCHTML_TAG_HTML, 1, true},
    {{.u.short_str = "i", .length = 1, .next = NULL}, PCHTML_TAG_I, 1, true},
    {{.u.short_str = "iframe", .length = 6, .next = NULL}, PCHTML_TAG_IFRAME, 1, true},
    {{.u.short_str = "image", .length = 5, .next = NULL}, PCHTML_TAG_IMAGE, 1, true},
    {{.u.short_str = "img", .length = 3, .next = NULL}, PCHTML_TAG_IMG, 1, true},
    {{.u.short_str = "input", .length = 5, .next = NULL}, PCHTML_TAG_INPUT, 1, true},
    {{.u.short_str = "ins", .length = 3, .next = NULL}, PCHTML_TAG_INS, 1, true},
    {{.u.short_str = "isindex", .length = 7, .next = NULL}, PCHTML_TAG_ISINDEX, 1, true},
    {{.u.short_str = "kbd", .length = 3, .next = NULL}, PCHTML_TAG_KBD, 1, true},
    {{.u.short_str = "keygen", .length = 6, .next = NULL}, PCHTML_TAG_KEYGEN, 1, true},
    {{.u.short_str = "label", .length = 5, .next = NULL}, PCHTML_TAG_LABEL, 1, true},
    {{.u.short_str = "legend", .length = 6, .next = NULL}, PCHTML_TAG_LEGEND, 1, true},
    {{.u.short_str = "li", .length = 2, .next = NULL}, PCHTML_TAG_LI, 1, true},
    {{.u.short_str = "lineargradient", .length = 14, .next = NULL}, PCHTML_TAG_LINEARGRADIENT, 1, true},
    {{.u.short_str = "link", .length = 4, .next = NULL}, PCHTML_TAG_LINK, 1, true},
    {{.u.short_str = "listing", .length = 7, .next = NULL}, PCHTML_TAG_LISTING, 1, true},
    {{.u.short_str = "main", .length = 4, .next = NULL}, PCHTML_TAG_MAIN, 1, true},
    {{.u.short_str = "malignmark", .length = 10, .next = NULL}, PCHTML_TAG_MALIGNMARK, 1, true},
    {{.u.short_str = "map", .length = 3, .next = NULL}, PCHTML_TAG_MAP, 1, true},
    {{.u.short_str = "mark", .length = 4, .next = NULL}, PCHTML_TAG_MARK, 1, true},
    {{.u.short_str = "marquee", .length = 7, .next = NULL}, PCHTML_TAG_MARQUEE, 1, true},
    {{.u.short_str = "math", .length = 4, .next = NULL}, PCHTML_TAG_MATH, 1, true},
    {{.u.short_str = "menu", .length = 4, .next = NULL}, PCHTML_TAG_MENU, 1, true},
    {{.u.short_str = "meta", .length = 4, .next = NULL}, PCHTML_TAG_META, 1, true},
    {{.u.short_str = "meter", .length = 5, .next = NULL}, PCHTML_TAG_METER, 1, true},
    {{.u.short_str = "mfenced", .length = 7, .next = NULL}, PCHTML_TAG_MFENCED, 1, true},
    {{.u.short_str = "mglyph", .length = 6, .next = NULL}, PCHTML_TAG_MGLYPH, 1, true},
    {{.u.short_str = "mi", .length = 2, .next = NULL}, PCHTML_TAG_MI, 1, true},
    {{.u.short_str = "mn", .length = 2, .next = NULL}, PCHTML_TAG_MN, 1, true},
    {{.u.short_str = "mo", .length = 2, .next = NULL}, PCHTML_TAG_MO, 1, true},
    {{.u.short_str = "ms", .length = 2, .next = NULL}, PCHTML_TAG_MS, 1, true},
    {{.u.short_str = "mtext", .length = 5, .next = NULL}, PCHTML_TAG_MTEXT, 1, true},
    {{.u.short_str = "multicol", .length = 8, .next = NULL}, PCHTML_TAG_MULTICOL, 1, true},
    {{.u.short_str = "nav", .length = 3, .next = NULL}, PCHTML_TAG_NAV, 1, true},
    {{.u.short_str = "nextid", .length = 6, .next = NULL}, PCHTML_TAG_NEXTID, 1, true},
    {{.u.short_str = "nobr", .length = 4, .next = NULL}, PCHTML_TAG_NOBR, 1, true},
    {{.u.short_str = "noembed", .length = 7, .next = NULL}, PCHTML_TAG_NOEMBED, 1, true},
    {{.u.short_str = "noframes", .length = 8, .next = NULL}, PCHTML_TAG_NOFRAMES, 1, true},
    {{.u.short_str = "noscript", .length = 8, .next = NULL}, PCHTML_TAG_NOSCRIPT, 1, true},
    {{.u.short_str = "object", .length = 6, .next = NULL}, PCHTML_TAG_OBJECT, 1, true},
    {{.u.short_str = "ol", .length = 2, .next = NULL}, PCHTML_TAG_OL, 1, true},
    {{.u.short_str = "optgroup", .length = 8, .next = NULL}, PCHTML_TAG_OPTGROUP, 1, true},
    {{.u.short_str = "option", .length = 6, .next = NULL}, PCHTML_TAG_OPTION, 1, true},
    {{.u.short_str = "output", .length = 6, .next = NULL}, PCHTML_TAG_OUTPUT, 1, true},
    {{.u.short_str = "p", .length = 1, .next = NULL}, PCHTML_TAG_P, 1, true},
    {{.u.short_str = "param", .length = 5, .next = NULL}, PCHTML_TAG_PARAM, 1, true},
    {{.u.short_str = "path", .length = 4, .next = NULL}, PCHTML_TAG_PATH, 1, true},
    {{.u.short_str = "picture", .length = 7, .next = NULL}, PCHTML_TAG_PICTURE, 1, true},
    {{.u.short_str = "plaintext", .length = 9, .next = NULL}, PCHTML_TAG_PLAINTEXT, 1, true},
    {{.u.short_str = "pre", .length = 3, .next = NULL}, PCHTML_TAG_PRE, 1, true},
    {{.u.short_str = "progress", .length = 8, .next = NULL}, PCHTML_TAG_PROGRESS, 1, true},
    {{.u.short_str = "q", .length = 1, .next = NULL}, PCHTML_TAG_Q, 1, true},
    {{.u.short_str = "radialgradient", .length = 14, .next = NULL}, PCHTML_TAG_RADIALGRADIENT, 1, true},
    {{.u.short_str = "rb", .length = 2, .next = NULL}, PCHTML_TAG_RB, 1, true},
    {{.u.short_str = "rp", .length = 2, .next = NULL}, PCHTML_TAG_RP, 1, true},
    {{.u.short_str = "rt", .length = 2, .next = NULL}, PCHTML_TAG_RT, 1, true},
    {{.u.short_str = "rtc", .length = 3, .next = NULL}, PCHTML_TAG_RTC, 1, true},
    {{.u.short_str = "ruby", .length = 4, .next = NULL}, PCHTML_TAG_RUBY, 1, true},
    {{.u.short_str = "s", .length = 1, .next = NULL}, PCHTML_TAG_S, 1, true},
    {{.u.short_str = "samp", .length = 4, .next = NULL}, PCHTML_TAG_SAMP, 1, true},
    {{.u.short_str = "script", .length = 6, .next = NULL}, PCHTML_TAG_SCRIPT, 1, true},
    {{.u.short_str = "section", .length = 7, .next = NULL}, PCHTML_TAG_SECTION, 1, true},
    {{.u.short_str = "select", .length = 6, .next = NULL}, PCHTML_TAG_SELECT, 1, true},
    {{.u.short_str = "slot", .length = 4, .next = NULL}, PCHTML_TAG_SLOT, 1, true},
    {{.u.short_str = "small", .length = 5, .next = NULL}, PCHTML_TAG_SMALL, 1, true},
    {{.u.short_str = "source", .length = 6, .next = NULL}, PCHTML_TAG_SOURCE, 1, true},
    {{.u.short_str = "spacer", .length = 6, .next = NULL}, PCHTML_TAG_SPACER, 1, true},
    {{.u.short_str = "span", .length = 4, .next = NULL}, PCHTML_TAG_SPAN, 1, true},
    {{.u.short_str = "strike", .length = 6, .next = NULL}, PCHTML_TAG_STRIKE, 1, true},
    {{.u.short_str = "strong", .length = 6, .next = NULL}, PCHTML_TAG_STRONG, 1, true},
    {{.u.short_str = "style", .length = 5, .next = NULL}, PCHTML_TAG_STYLE, 1, true},
    {{.u.short_str = "sub", .length = 3, .next = NULL}, PCHTML_TAG_SUB, 1, true},
    {{.u.short_str = "summary", .length = 7, .next = NULL}, PCHTML_TAG_SUMMARY, 1, true},
    {{.u.short_str = "sup", .length = 3, .next = NULL}, PCHTML_TAG_SUP, 1, true},
    {{.u.short_str = "svg", .length = 3, .next = NULL}, PCHTML_TAG_SVG, 1, true},
    {{.u.short_str = "table", .length = 5, .next = NULL}, PCHTML_TAG_TABLE, 1, true},
    {{.u.short_str = "tbody", .length = 5, .next = NULL}, PCHTML_TAG_TBODY, 1, true},
    {{.u.short_str = "td", .length = 2, .next = NULL}, PCHTML_TAG_TD, 1, true},
    {{.u.short_str = "template", .length = 8, .next = NULL}, PCHTML_TAG_TEMPLATE, 1, true},
    {{.u.short_str = "textarea", .length = 8, .next = NULL}, PCHTML_TAG_TEXTAREA, 1, true},
    {{.u.short_str = "textpath", .length = 8, .next = NULL}, PCHTML_TAG_TEXTPATH, 1, true},
    {{.u.short_str = "tfoot", .length = 5, .next = NULL}, PCHTML_TAG_TFOOT, 1, true},
    {{.u.short_str = "th", .length = 2, .next = NULL}, PCHTML_TAG_TH, 1, true},
    {{.u.short_str = "thead", .length = 5, .next = NULL}, PCHTML_TAG_THEAD, 1, true},
    {{.u.short_str = "time", .length = 4, .next = NULL}, PCHTML_TAG_TIME, 1, true},
    {{.u.short_str = "title", .length = 5, .next = NULL}, PCHTML_TAG_TITLE, 1, true},
    {{.u.short_str = "tr", .length = 2, .next = NULL}, PCHTML_TAG_TR, 1, true},
    {{.u.short_str = "track", .length = 5, .next = NULL}, PCHTML_TAG_TRACK, 1, true},
    {{.u.short_str = "tt", .length = 2, .next = NULL}, PCHTML_TAG_TT, 1, true},
    {{.u.short_str = "u", .length = 1, .next = NULL}, PCHTML_TAG_U, 1, true},
    {{.u.short_str = "ul", .length = 2, .next = NULL}, PCHTML_TAG_UL, 1, true},
    {{.u.short_str = "var", .length = 3, .next = NULL}, PCHTML_TAG_VAR, 1, true},
    {{.u.short_str = "video", .length = 5, .next = NULL}, PCHTML_TAG_VIDEO, 1, true},
    {{.u.short_str = "wbr", .length = 3, .next = NULL}, PCHTML_TAG_WBR, 1, true},
    {{.u.short_str = "xmp", .length = 3, .next = NULL}, PCHTML_TAG_XMP, 1, true}
};

static const pchtml_tag_data_t pchtml_tag_res_data_upper_default[PCHTML_TAG__LAST_ENTRY] = 
{
    {{.u.short_str = "#UNDEF", .length = 6, .next = NULL}, PCHTML_TAG__UNDEF, 1, true},
    {{.u.short_str = "#END-OF-FILE", .length = 12, .next = NULL}, PCHTML_TAG__END_OF_FILE, 1, true},
    {{.u.short_str = "#TEXT", .length = 5, .next = NULL}, PCHTML_TAG__TEXT, 1, true},
    {{.u.short_str = "#DOCUMENT", .length = 9, .next = NULL}, PCHTML_TAG__DOCUMENT, 1, true},
    {{.u.short_str = "!--", .length = 3, .next = NULL}, PCHTML_TAG__EM_COMMENT, 1, true},
    {{.u.short_str = "!DOCTYPE", .length = 8, .next = NULL}, PCHTML_TAG__EM_DOCTYPE, 1, true},
    {{.u.short_str = "A", .length = 1, .next = NULL}, PCHTML_TAG_A, 1, true},
    {{.u.short_str = "ABBR", .length = 4, .next = NULL}, PCHTML_TAG_ABBR, 1, true},
    {{.u.short_str = "ACRONYM", .length = 7, .next = NULL}, PCHTML_TAG_ACRONYM, 1, true},
    {{.u.short_str = "ADDRESS", .length = 7, .next = NULL}, PCHTML_TAG_ADDRESS, 1, true},
    {{.u.short_str = "ALTGLYPH", .length = 8, .next = NULL}, PCHTML_TAG_ALTGLYPH, 1, true},
    {{.u.short_str = "ALTGLYPHDEF", .length = 11, .next = NULL}, PCHTML_TAG_ALTGLYPHDEF, 1, true},
    {{.u.short_str = "ALTGLYPHITEM", .length = 12, .next = NULL}, PCHTML_TAG_ALTGLYPHITEM, 1, true},
    {{.u.short_str = "ANIMATECOLOR", .length = 12, .next = NULL}, PCHTML_TAG_ANIMATECOLOR, 1, true},
    {{.u.short_str = "ANIMATEMOTION", .length = 13, .next = NULL}, PCHTML_TAG_ANIMATEMOTION, 1, true},
    {{.u.short_str = "ANIMATETRANSFORM", .length = 16, .next = NULL}, PCHTML_TAG_ANIMATETRANSFORM, 1, true},
    {{.u.short_str = "ANNOTATION-XML", .length = 14, .next = NULL}, PCHTML_TAG_ANNOTATION_XML, 1, true},
    {{.u.short_str = "APPLET", .length = 6, .next = NULL}, PCHTML_TAG_APPLET, 1, true},
    {{.u.short_str = "AREA", .length = 4, .next = NULL}, PCHTML_TAG_AREA, 1, true},
    {{.u.short_str = "ARTICLE", .length = 7, .next = NULL}, PCHTML_TAG_ARTICLE, 1, true},
    {{.u.short_str = "ASIDE", .length = 5, .next = NULL}, PCHTML_TAG_ASIDE, 1, true},
    {{.u.short_str = "AUDIO", .length = 5, .next = NULL}, PCHTML_TAG_AUDIO, 1, true},
    {{.u.short_str = "B", .length = 1, .next = NULL}, PCHTML_TAG_B, 1, true},
    {{.u.short_str = "BASE", .length = 4, .next = NULL}, PCHTML_TAG_BASE, 1, true},
    {{.u.short_str = "BASEFONT", .length = 8, .next = NULL}, PCHTML_TAG_BASEFONT, 1, true},
    {{.u.short_str = "BDI", .length = 3, .next = NULL}, PCHTML_TAG_BDI, 1, true},
    {{.u.short_str = "BDO", .length = 3, .next = NULL}, PCHTML_TAG_BDO, 1, true},
    {{.u.short_str = "BGSOUND", .length = 7, .next = NULL}, PCHTML_TAG_BGSOUND, 1, true},
    {{.u.short_str = "BIG", .length = 3, .next = NULL}, PCHTML_TAG_BIG, 1, true},
    {{.u.short_str = "BLINK", .length = 5, .next = NULL}, PCHTML_TAG_BLINK, 1, true},
    {{.u.short_str = "BLOCKQUOTE", .length = 10, .next = NULL}, PCHTML_TAG_BLOCKQUOTE, 1, true},
    {{.u.short_str = "BODY", .length = 4, .next = NULL}, PCHTML_TAG_BODY, 1, true},
    {{.u.short_str = "BR", .length = 2, .next = NULL}, PCHTML_TAG_BR, 1, true},
    {{.u.short_str = "BUTTON", .length = 6, .next = NULL}, PCHTML_TAG_BUTTON, 1, true},
    {{.u.short_str = "CANVAS", .length = 6, .next = NULL}, PCHTML_TAG_CANVAS, 1, true},
    {{.u.short_str = "CAPTION", .length = 7, .next = NULL}, PCHTML_TAG_CAPTION, 1, true},
    {{.u.short_str = "CENTER", .length = 6, .next = NULL}, PCHTML_TAG_CENTER, 1, true},
    {{.u.short_str = "CITE", .length = 4, .next = NULL}, PCHTML_TAG_CITE, 1, true},
    {{.u.short_str = "CLIPPATH", .length = 8, .next = NULL}, PCHTML_TAG_CLIPPATH, 1, true},
    {{.u.short_str = "CODE", .length = 4, .next = NULL}, PCHTML_TAG_CODE, 1, true},
    {{.u.short_str = "COL", .length = 3, .next = NULL}, PCHTML_TAG_COL, 1, true},
    {{.u.short_str = "COLGROUP", .length = 8, .next = NULL}, PCHTML_TAG_COLGROUP, 1, true},
    {{.u.short_str = "DATA", .length = 4, .next = NULL}, PCHTML_TAG_DATA, 1, true},
    {{.u.short_str = "DATALIST", .length = 8, .next = NULL}, PCHTML_TAG_DATALIST, 1, true},
    {{.u.short_str = "DD", .length = 2, .next = NULL}, PCHTML_TAG_DD, 1, true},
    {{.u.short_str = "DEL", .length = 3, .next = NULL}, PCHTML_TAG_DEL, 1, true},
    {{.u.short_str = "DESC", .length = 4, .next = NULL}, PCHTML_TAG_DESC, 1, true},
    {{.u.short_str = "DETAILS", .length = 7, .next = NULL}, PCHTML_TAG_DETAILS, 1, true},
    {{.u.short_str = "DFN", .length = 3, .next = NULL}, PCHTML_TAG_DFN, 1, true},
    {{.u.short_str = "DIALOG", .length = 6, .next = NULL}, PCHTML_TAG_DIALOG, 1, true},
    {{.u.short_str = "DIR", .length = 3, .next = NULL}, PCHTML_TAG_DIR, 1, true},
    {{.u.short_str = "DIV", .length = 3, .next = NULL}, PCHTML_TAG_DIV, 1, true},
    {{.u.short_str = "DL", .length = 2, .next = NULL}, PCHTML_TAG_DL, 1, true},
    {{.u.short_str = "DT", .length = 2, .next = NULL}, PCHTML_TAG_DT, 1, true},
    {{.u.short_str = "EM", .length = 2, .next = NULL}, PCHTML_TAG_EM, 1, true},
    {{.u.short_str = "EMBED", .length = 5, .next = NULL}, PCHTML_TAG_EMBED, 1, true},
    {{.u.short_str = "FEBLEND", .length = 7, .next = NULL}, PCHTML_TAG_FEBLEND, 1, true},
    {{.u.short_str = "FECOLORMATRIX", .length = 13, .next = NULL}, PCHTML_TAG_FECOLORMATRIX, 1, true},
    {{.u.long_str = (unsigned char *) "FECOMPONENTTRANSFER", .length = 19, .next = NULL}, PCHTML_TAG_FECOMPONENTTRANSFER, 1, true},
    {{.u.short_str = "FECOMPOSITE", .length = 11, .next = NULL}, PCHTML_TAG_FECOMPOSITE, 1, true},
    {{.u.short_str = "FECONVOLVEMATRIX", .length = 16, .next = NULL}, PCHTML_TAG_FECONVOLVEMATRIX, 1, true},
    {{.u.long_str = (unsigned char *) "FEDIFFUSELIGHTING", .length = 17, .next = NULL}, PCHTML_TAG_FEDIFFUSELIGHTING, 1, true},
    {{.u.long_str = (unsigned char *) "FEDISPLACEMENTMAP", .length = 17, .next = NULL}, PCHTML_TAG_FEDISPLACEMENTMAP, 1, true},
    {{.u.short_str = "FEDISTANTLIGHT", .length = 14, .next = NULL}, PCHTML_TAG_FEDISTANTLIGHT, 1, true},
    {{.u.short_str = "FEDROPSHADOW", .length = 12, .next = NULL}, PCHTML_TAG_FEDROPSHADOW, 1, true},
    {{.u.short_str = "FEFLOOD", .length = 7, .next = NULL}, PCHTML_TAG_FEFLOOD, 1, true},
    {{.u.short_str = "FEFUNCA", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCA, 1, true},
    {{.u.short_str = "FEFUNCB", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCB, 1, true},
    {{.u.short_str = "FEFUNCG", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCG, 1, true},
    {{.u.short_str = "FEFUNCR", .length = 7, .next = NULL}, PCHTML_TAG_FEFUNCR, 1, true},
    {{.u.short_str = "FEGAUSSIANBLUR", .length = 14, .next = NULL}, PCHTML_TAG_FEGAUSSIANBLUR, 1, true},
    {{.u.short_str = "FEIMAGE", .length = 7, .next = NULL}, PCHTML_TAG_FEIMAGE, 1, true},
    {{.u.short_str = "FEMERGE", .length = 7, .next = NULL}, PCHTML_TAG_FEMERGE, 1, true},
    {{.u.short_str = "FEMERGENODE", .length = 11, .next = NULL}, PCHTML_TAG_FEMERGENODE, 1, true},
    {{.u.short_str = "FEMORPHOLOGY", .length = 12, .next = NULL}, PCHTML_TAG_FEMORPHOLOGY, 1, true},
    {{.u.short_str = "FEOFFSET", .length = 8, .next = NULL}, PCHTML_TAG_FEOFFSET, 1, true},
    {{.u.short_str = "FEPOINTLIGHT", .length = 12, .next = NULL}, PCHTML_TAG_FEPOINTLIGHT, 1, true},
    {{.u.long_str = (unsigned char *) "FESPECULARLIGHTING", .length = 18, .next = NULL}, PCHTML_TAG_FESPECULARLIGHTING, 1, true},
    {{.u.short_str = "FESPOTLIGHT", .length = 11, .next = NULL}, PCHTML_TAG_FESPOTLIGHT, 1, true},
    {{.u.short_str = "FETILE", .length = 6, .next = NULL}, PCHTML_TAG_FETILE, 1, true},
    {{.u.short_str = "FETURBULENCE", .length = 12, .next = NULL}, PCHTML_TAG_FETURBULENCE, 1, true},
    {{.u.short_str = "FIELDSET", .length = 8, .next = NULL}, PCHTML_TAG_FIELDSET, 1, true},
    {{.u.short_str = "FIGCAPTION", .length = 10, .next = NULL}, PCHTML_TAG_FIGCAPTION, 1, true},
    {{.u.short_str = "FIGURE", .length = 6, .next = NULL}, PCHTML_TAG_FIGURE, 1, true},
    {{.u.short_str = "FONT", .length = 4, .next = NULL}, PCHTML_TAG_FONT, 1, true},
    {{.u.short_str = "FOOTER", .length = 6, .next = NULL}, PCHTML_TAG_FOOTER, 1, true},
    {{.u.short_str = "FOREIGNOBJECT", .length = 13, .next = NULL}, PCHTML_TAG_FOREIGNOBJECT, 1, true},
    {{.u.short_str = "FORM", .length = 4, .next = NULL}, PCHTML_TAG_FORM, 1, true},
    {{.u.short_str = "FRAME", .length = 5, .next = NULL}, PCHTML_TAG_FRAME, 1, true},
    {{.u.short_str = "FRAMESET", .length = 8, .next = NULL}, PCHTML_TAG_FRAMESET, 1, true},
    {{.u.short_str = "GLYPHREF", .length = 8, .next = NULL}, PCHTML_TAG_GLYPHREF, 1, true},
    {{.u.short_str = "H1", .length = 2, .next = NULL}, PCHTML_TAG_H1, 1, true},
    {{.u.short_str = "H2", .length = 2, .next = NULL}, PCHTML_TAG_H2, 1, true},
    {{.u.short_str = "H3", .length = 2, .next = NULL}, PCHTML_TAG_H3, 1, true},
    {{.u.short_str = "H4", .length = 2, .next = NULL}, PCHTML_TAG_H4, 1, true},
    {{.u.short_str = "H5", .length = 2, .next = NULL}, PCHTML_TAG_H5, 1, true},
    {{.u.short_str = "H6", .length = 2, .next = NULL}, PCHTML_TAG_H6, 1, true},
    {{.u.short_str = "HEAD", .length = 4, .next = NULL}, PCHTML_TAG_HEAD, 1, true},
    {{.u.short_str = "HEADER", .length = 6, .next = NULL}, PCHTML_TAG_HEADER, 1, true},
    {{.u.short_str = "HGROUP", .length = 6, .next = NULL}, PCHTML_TAG_HGROUP, 1, true},
    {{.u.short_str = "HR", .length = 2, .next = NULL}, PCHTML_TAG_HR, 1, true},
    {{.u.short_str = "HTML", .length = 4, .next = NULL}, PCHTML_TAG_HTML, 1, true},
    {{.u.short_str = "I", .length = 1, .next = NULL}, PCHTML_TAG_I, 1, true},
    {{.u.short_str = "IFRAME", .length = 6, .next = NULL}, PCHTML_TAG_IFRAME, 1, true},
    {{.u.short_str = "IMAGE", .length = 5, .next = NULL}, PCHTML_TAG_IMAGE, 1, true},
    {{.u.short_str = "IMG", .length = 3, .next = NULL}, PCHTML_TAG_IMG, 1, true},
    {{.u.short_str = "INPUT", .length = 5, .next = NULL}, PCHTML_TAG_INPUT, 1, true},
    {{.u.short_str = "INS", .length = 3, .next = NULL}, PCHTML_TAG_INS, 1, true},
    {{.u.short_str = "ISINDEX", .length = 7, .next = NULL}, PCHTML_TAG_ISINDEX, 1, true},
    {{.u.short_str = "KBD", .length = 3, .next = NULL}, PCHTML_TAG_KBD, 1, true},
    {{.u.short_str = "KEYGEN", .length = 6, .next = NULL}, PCHTML_TAG_KEYGEN, 1, true},
    {{.u.short_str = "LABEL", .length = 5, .next = NULL}, PCHTML_TAG_LABEL, 1, true},
    {{.u.short_str = "LEGEND", .length = 6, .next = NULL}, PCHTML_TAG_LEGEND, 1, true},
    {{.u.short_str = "LI", .length = 2, .next = NULL}, PCHTML_TAG_LI, 1, true},
    {{.u.short_str = "LINEARGRADIENT", .length = 14, .next = NULL}, PCHTML_TAG_LINEARGRADIENT, 1, true},
    {{.u.short_str = "LINK", .length = 4, .next = NULL}, PCHTML_TAG_LINK, 1, true},
    {{.u.short_str = "LISTING", .length = 7, .next = NULL}, PCHTML_TAG_LISTING, 1, true},
    {{.u.short_str = "MAIN", .length = 4, .next = NULL}, PCHTML_TAG_MAIN, 1, true},
    {{.u.short_str = "MALIGNMARK", .length = 10, .next = NULL}, PCHTML_TAG_MALIGNMARK, 1, true},
    {{.u.short_str = "MAP", .length = 3, .next = NULL}, PCHTML_TAG_MAP, 1, true},
    {{.u.short_str = "MARK", .length = 4, .next = NULL}, PCHTML_TAG_MARK, 1, true},
    {{.u.short_str = "MARQUEE", .length = 7, .next = NULL}, PCHTML_TAG_MARQUEE, 1, true},
    {{.u.short_str = "MATH", .length = 4, .next = NULL}, PCHTML_TAG_MATH, 1, true},
    {{.u.short_str = "MENU", .length = 4, .next = NULL}, PCHTML_TAG_MENU, 1, true},
    {{.u.short_str = "META", .length = 4, .next = NULL}, PCHTML_TAG_META, 1, true},
    {{.u.short_str = "METER", .length = 5, .next = NULL}, PCHTML_TAG_METER, 1, true},
    {{.u.short_str = "MFENCED", .length = 7, .next = NULL}, PCHTML_TAG_MFENCED, 1, true},
    {{.u.short_str = "MGLYPH", .length = 6, .next = NULL}, PCHTML_TAG_MGLYPH, 1, true},
    {{.u.short_str = "MI", .length = 2, .next = NULL}, PCHTML_TAG_MI, 1, true},
    {{.u.short_str = "MN", .length = 2, .next = NULL}, PCHTML_TAG_MN, 1, true},
    {{.u.short_str = "MO", .length = 2, .next = NULL}, PCHTML_TAG_MO, 1, true},
    {{.u.short_str = "MS", .length = 2, .next = NULL}, PCHTML_TAG_MS, 1, true},
    {{.u.short_str = "MTEXT", .length = 5, .next = NULL}, PCHTML_TAG_MTEXT, 1, true},
    {{.u.short_str = "MULTICOL", .length = 8, .next = NULL}, PCHTML_TAG_MULTICOL, 1, true},
    {{.u.short_str = "NAV", .length = 3, .next = NULL}, PCHTML_TAG_NAV, 1, true},
    {{.u.short_str = "NEXTID", .length = 6, .next = NULL}, PCHTML_TAG_NEXTID, 1, true},
    {{.u.short_str = "NOBR", .length = 4, .next = NULL}, PCHTML_TAG_NOBR, 1, true},
    {{.u.short_str = "NOEMBED", .length = 7, .next = NULL}, PCHTML_TAG_NOEMBED, 1, true},
    {{.u.short_str = "NOFRAMES", .length = 8, .next = NULL}, PCHTML_TAG_NOFRAMES, 1, true},
    {{.u.short_str = "NOSCRIPT", .length = 8, .next = NULL}, PCHTML_TAG_NOSCRIPT, 1, true},
    {{.u.short_str = "OBJECT", .length = 6, .next = NULL}, PCHTML_TAG_OBJECT, 1, true},
    {{.u.short_str = "OL", .length = 2, .next = NULL}, PCHTML_TAG_OL, 1, true},
    {{.u.short_str = "OPTGROUP", .length = 8, .next = NULL}, PCHTML_TAG_OPTGROUP, 1, true},
    {{.u.short_str = "OPTION", .length = 6, .next = NULL}, PCHTML_TAG_OPTION, 1, true},
    {{.u.short_str = "OUTPUT", .length = 6, .next = NULL}, PCHTML_TAG_OUTPUT, 1, true},
    {{.u.short_str = "P", .length = 1, .next = NULL}, PCHTML_TAG_P, 1, true},
    {{.u.short_str = "PARAM", .length = 5, .next = NULL}, PCHTML_TAG_PARAM, 1, true},
    {{.u.short_str = "PATH", .length = 4, .next = NULL}, PCHTML_TAG_PATH, 1, true},
    {{.u.short_str = "PICTURE", .length = 7, .next = NULL}, PCHTML_TAG_PICTURE, 1, true},
    {{.u.short_str = "PLAINTEXT", .length = 9, .next = NULL}, PCHTML_TAG_PLAINTEXT, 1, true},
    {{.u.short_str = "PRE", .length = 3, .next = NULL}, PCHTML_TAG_PRE, 1, true},
    {{.u.short_str = "PROGRESS", .length = 8, .next = NULL}, PCHTML_TAG_PROGRESS, 1, true},
    {{.u.short_str = "Q", .length = 1, .next = NULL}, PCHTML_TAG_Q, 1, true},
    {{.u.short_str = "RADIALGRADIENT", .length = 14, .next = NULL}, PCHTML_TAG_RADIALGRADIENT, 1, true},
    {{.u.short_str = "RB", .length = 2, .next = NULL}, PCHTML_TAG_RB, 1, true},
    {{.u.short_str = "RP", .length = 2, .next = NULL}, PCHTML_TAG_RP, 1, true},
    {{.u.short_str = "RT", .length = 2, .next = NULL}, PCHTML_TAG_RT, 1, true},
    {{.u.short_str = "RTC", .length = 3, .next = NULL}, PCHTML_TAG_RTC, 1, true},
    {{.u.short_str = "RUBY", .length = 4, .next = NULL}, PCHTML_TAG_RUBY, 1, true},
    {{.u.short_str = "S", .length = 1, .next = NULL}, PCHTML_TAG_S, 1, true},
    {{.u.short_str = "SAMP", .length = 4, .next = NULL}, PCHTML_TAG_SAMP, 1, true},
    {{.u.short_str = "SCRIPT", .length = 6, .next = NULL}, PCHTML_TAG_SCRIPT, 1, true},
    {{.u.short_str = "SECTION", .length = 7, .next = NULL}, PCHTML_TAG_SECTION, 1, true},
    {{.u.short_str = "SELECT", .length = 6, .next = NULL}, PCHTML_TAG_SELECT, 1, true},
    {{.u.short_str = "SLOT", .length = 4, .next = NULL}, PCHTML_TAG_SLOT, 1, true},
    {{.u.short_str = "SMALL", .length = 5, .next = NULL}, PCHTML_TAG_SMALL, 1, true},
    {{.u.short_str = "SOURCE", .length = 6, .next = NULL}, PCHTML_TAG_SOURCE, 1, true},
    {{.u.short_str = "SPACER", .length = 6, .next = NULL}, PCHTML_TAG_SPACER, 1, true},
    {{.u.short_str = "SPAN", .length = 4, .next = NULL}, PCHTML_TAG_SPAN, 1, true},
    {{.u.short_str = "STRIKE", .length = 6, .next = NULL}, PCHTML_TAG_STRIKE, 1, true},
    {{.u.short_str = "STRONG", .length = 6, .next = NULL}, PCHTML_TAG_STRONG, 1, true},
    {{.u.short_str = "STYLE", .length = 5, .next = NULL}, PCHTML_TAG_STYLE, 1, true},
    {{.u.short_str = "SUB", .length = 3, .next = NULL}, PCHTML_TAG_SUB, 1, true},
    {{.u.short_str = "SUMMARY", .length = 7, .next = NULL}, PCHTML_TAG_SUMMARY, 1, true},
    {{.u.short_str = "SUP", .length = 3, .next = NULL}, PCHTML_TAG_SUP, 1, true},
    {{.u.short_str = "SVG", .length = 3, .next = NULL}, PCHTML_TAG_SVG, 1, true},
    {{.u.short_str = "TABLE", .length = 5, .next = NULL}, PCHTML_TAG_TABLE, 1, true},
    {{.u.short_str = "TBODY", .length = 5, .next = NULL}, PCHTML_TAG_TBODY, 1, true},
    {{.u.short_str = "TD", .length = 2, .next = NULL}, PCHTML_TAG_TD, 1, true},
    {{.u.short_str = "TEMPLATE", .length = 8, .next = NULL}, PCHTML_TAG_TEMPLATE, 1, true},
    {{.u.short_str = "TEXTAREA", .length = 8, .next = NULL}, PCHTML_TAG_TEXTAREA, 1, true},
    {{.u.short_str = "TEXTPATH", .length = 8, .next = NULL}, PCHTML_TAG_TEXTPATH, 1, true},
    {{.u.short_str = "TFOOT", .length = 5, .next = NULL}, PCHTML_TAG_TFOOT, 1, true},
    {{.u.short_str = "TH", .length = 2, .next = NULL}, PCHTML_TAG_TH, 1, true},
    {{.u.short_str = "THEAD", .length = 5, .next = NULL}, PCHTML_TAG_THEAD, 1, true},
    {{.u.short_str = "TIME", .length = 4, .next = NULL}, PCHTML_TAG_TIME, 1, true},
    {{.u.short_str = "TITLE", .length = 5, .next = NULL}, PCHTML_TAG_TITLE, 1, true},
    {{.u.short_str = "TR", .length = 2, .next = NULL}, PCHTML_TAG_TR, 1, true},
    {{.u.short_str = "TRACK", .length = 5, .next = NULL}, PCHTML_TAG_TRACK, 1, true},
    {{.u.short_str = "TT", .length = 2, .next = NULL}, PCHTML_TAG_TT, 1, true},
    {{.u.short_str = "U", .length = 1, .next = NULL}, PCHTML_TAG_U, 1, true},
    {{.u.short_str = "UL", .length = 2, .next = NULL}, PCHTML_TAG_UL, 1, true},
    {{.u.short_str = "VAR", .length = 3, .next = NULL}, PCHTML_TAG_VAR, 1, true},
    {{.u.short_str = "VIDEO", .length = 5, .next = NULL}, PCHTML_TAG_VIDEO, 1, true},
    {{.u.short_str = "WBR", .length = 3, .next = NULL}, PCHTML_TAG_WBR, 1, true},
    {{.u.short_str = "XMP", .length = 3, .next = NULL}, PCHTML_TAG_XMP, 1, true}
};

static const pchtml_shs_entry_t pchtml_tag_res_shs_data_default[263] = 
{
    {NULL, NULL, 262, 0}, {(char *)"radialgradient", (void *) &pchtml_tag_res_data_default[153], 14, 0}, 
    {(char *)"fecomponenttransfer", (void *) &pchtml_tag_res_data_default[58], 19, 0}, {(char *)"abbr", (void *) &pchtml_tag_res_data_default[7], 4, 1}, 
    {(char *)"feflood", (void *) &pchtml_tag_res_data_default[65], 7, 0}, {(char *)"marquee", (void *) &pchtml_tag_res_data_default[121], 7, 0}, 
    {(char *)"feblend", (void *) &pchtml_tag_res_data_default[56], 7, 4}, {(char *)"optgroup", (void *) &pchtml_tag_res_data_default[142], 8, 0}, 
    {(char *)"video", (void *) &pchtml_tag_res_data_default[193], 5, 10}, {(char *)"u", (void *) &pchtml_tag_res_data_default[190], 1, 0}, 
    {(char *)"iframe", (void *) &pchtml_tag_res_data_default[103], 6, 0}, {(char *)"animatecolor", (void *) &pchtml_tag_res_data_default[13], 12, 0}, 
    {(char *)"output", (void *) &pchtml_tag_res_data_default[144], 6, 0}, {(char *)"figcaption", (void *) &pchtml_tag_res_data_default[82], 10, 0}, 
    {(char *)"mglyph", (void *) &pchtml_tag_res_data_default[127], 6, 0}, {(char *)"!--", (void *) &pchtml_tag_res_data_default[4], 3, 0}, 
    {(char *)"fefuncg", (void *) &pchtml_tag_res_data_default[68], 7, 0}, {(char *)"aside", (void *) &pchtml_tag_res_data_default[20], 5, 0}, 
    {(char *)"style", (void *) &pchtml_tag_res_data_default[171], 5, 0}, {(char *)"strike", (void *) &pchtml_tag_res_data_default[169], 6, 0}, 
    {(char *)"header", (void *) &pchtml_tag_res_data_default[98], 6, 0}, {(char *)"glyphref", (void *) &pchtml_tag_res_data_default[90], 8, 23}, 
    {(char *)"label", (void *) &pchtml_tag_res_data_default[111], 5, 0}, {(char *)"feconvolvematrix", (void *) &pchtml_tag_res_data_default[60], 16, 0}, 
    {(char *)"altglyphdef", (void *) &pchtml_tag_res_data_default[11], 11, 0}, {(char *)"title", (void *) &pchtml_tag_res_data_default[186], 5, 0}, 
    {(char *)"head", (void *) &pchtml_tag_res_data_default[97], 4, 0}, {(char *)"noframes", (void *) &pchtml_tag_res_data_default[138], 8, 0}, 
    {(char *)"code", (void *) &pchtml_tag_res_data_default[39], 4, 30}, {(char *)"rb", (void *) &pchtml_tag_res_data_default[154], 2, 5}, 
    {(char *)"blink", (void *) &pchtml_tag_res_data_default[29], 5, 0}, {(char *)"image", (void *) &pchtml_tag_res_data_default[104], 5, 0}, 
    {(char *)"col", (void *) &pchtml_tag_res_data_default[40], 3, 8}, {(char *)"object", (void *) &pchtml_tag_res_data_default[140], 6, 12}, 
    {(char *)"template", (void *) &pchtml_tag_res_data_default[179], 8, 36}, {(char *)"h2", (void *) &pchtml_tag_res_data_default[92], 2, 13}, 
    {(char *)"lineargradient", (void *) &pchtml_tag_res_data_default[114], 14, 0}, {(char *)"math", (void *) &pchtml_tag_res_data_default[122], 4, 0}, 
    {(char *)"base", (void *) &pchtml_tag_res_data_default[23], 4, 45}, {(char *)"dl", (void *) &pchtml_tag_res_data_default[52], 2, 14}, 
    {(char *)"del", (void *) &pchtml_tag_res_data_default[45], 3, 16}, {(char *)"svg", (void *) &pchtml_tag_res_data_default[175], 3, 17}, 
    {(char *)"dir", (void *) &pchtml_tag_res_data_default[50], 3, 0}, {(char *)"article", (void *) &pchtml_tag_res_data_default[19], 7, 0}, 
    {(char *)"strong", (void *) &pchtml_tag_res_data_default[170], 6, 0}, {(char *)"dialog", (void *) &pchtml_tag_res_data_default[49], 6, 0}, 
    {(char *)"details", (void *) &pchtml_tag_res_data_default[47], 7, 0}, {(char *)"textpath", (void *) &pchtml_tag_res_data_default[181], 8, 52}, 
    {(char *)"mark", (void *) &pchtml_tag_res_data_default[120], 4, 0}, {(char *)"basefont", (void *) &pchtml_tag_res_data_default[24], 8, 0}, 
    {(char *)"fediffuselighting", (void *) &pchtml_tag_res_data_default[61], 17, 0}, {(char *)"fespecularlighting", (void *) &pchtml_tag_res_data_default[77], 18, 0}, 
    {(char *)"blockquote", (void *) &pchtml_tag_res_data_default[30], 10, 0}, {(char *)"script", (void *) &pchtml_tag_res_data_default[161], 6, 58}, 
    {(char *)"malignmark", (void *) &pchtml_tag_res_data_default[118], 10, 0}, {(char *)"hr", (void *) &pchtml_tag_res_data_default[100], 2, 18}, 
    {(char *)"source", (void *) &pchtml_tag_res_data_default[166], 6, 19}, {(char *)"mn", (void *) &pchtml_tag_res_data_default[129], 2, 0}, 
    {(char *)"select", (void *) &pchtml_tag_res_data_default[163], 6, 0}, {(char *)"main", (void *) &pchtml_tag_res_data_default[117], 4, 20}, 
    {(char *)"fieldset", (void *) &pchtml_tag_res_data_default[81], 8, 62}, {(char *)"ins", (void *) &pchtml_tag_res_data_default[107], 3, 0}, 
    {(char *)"frameset", (void *) &pchtml_tag_res_data_default[89], 8, 0}, {(char *)"button", (void *) &pchtml_tag_res_data_default[33], 6, 0}, 
    {(char *)"fecolormatrix", (void *) &pchtml_tag_res_data_default[57], 13, 0}, {(char *)"q", (void *) &pchtml_tag_res_data_default[152], 1, 0}, 
    {(char *)"animatemotion", (void *) &pchtml_tag_res_data_default[14], 13, 0}, {(char *)"time", (void *) &pchtml_tag_res_data_default[185], 4, 21}, 
    {(char *)"table", (void *) &pchtml_tag_res_data_default[176], 5, 25}, {(char *)"h6", (void *) &pchtml_tag_res_data_default[96], 2, 26}, 
    {(char *)"cite", (void *) &pchtml_tag_res_data_default[37], 4, 28}, {(char *)"img", (void *) &pchtml_tag_res_data_default[105], 3, 34}, 
    {(char *)"fepointlight", (void *) &pchtml_tag_res_data_default[76], 12, 0}, {(char *)"audio", (void *) &pchtml_tag_res_data_default[21], 5, 0}, 
    {(char *)"#end-of-file", (void *) &pchtml_tag_res_data_default[1], 12, 0}, {(char *)"noscript", (void *) &pchtml_tag_res_data_default[139], 8, 0}, 
    {(char *)"foreignobject", (void *) &pchtml_tag_res_data_default[86], 13, 0}, {(char *)"spacer", (void *) &pchtml_tag_res_data_default[167], 6, 0}, 
    {(char *)"samp", (void *) &pchtml_tag_res_data_default[160], 4, 0}, {(char *)"altglyphitem", (void *) &pchtml_tag_res_data_default[12], 12, 0}, 
    {(char *)"dt", (void *) &pchtml_tag_res_data_default[53], 2, 0}, {(char *)"data", (void *) &pchtml_tag_res_data_default[42], 4, 0}, 
    {(char *)"mtext", (void *) &pchtml_tag_res_data_default[132], 5, 0}, {(char *)"path", (void *) &pchtml_tag_res_data_default[147], 4, 0}, 
    {(char *)"input", (void *) &pchtml_tag_res_data_default[106], 5, 0}, {(char *)"th", (void *) &pchtml_tag_res_data_default[183], 2, 38}, 
    {(char *)"p", (void *) &pchtml_tag_res_data_default[145], 1, 0}, {(char *)"animatetransform", (void *) &pchtml_tag_res_data_default[15], 16, 0}, 
    {(char *)"datalist", (void *) &pchtml_tag_res_data_default[43], 8, 0}, {(char *)"small", (void *) &pchtml_tag_res_data_default[165], 5, 0}, 
    {(char *)"b", (void *) &pchtml_tag_res_data_default[22], 1, 46}, {(char *)"nextid", (void *) &pchtml_tag_res_data_default[135], 6, 47}, 
    {(char *)"noembed", (void *) &pchtml_tag_res_data_default[137], 7, 0}, {(char *)"nav", (void *) &pchtml_tag_res_data_default[134], 3, 0}, 
    {(char *)"bgsound", (void *) &pchtml_tag_res_data_default[27], 7, 0}, {(char *)"slot", (void *) &pchtml_tag_res_data_default[164], 4, 0}, 
    {(char *)"param", (void *) &pchtml_tag_res_data_default[146], 5, 0}, {(char *)"font", (void *) &pchtml_tag_res_data_default[84], 4, 53}, 
    {(char *)"figure", (void *) &pchtml_tag_res_data_default[83], 6, 0}, {(char *)"femerge", (void *) &pchtml_tag_res_data_default[72], 7, 0}, 
    {(char *)"femergenode", (void *) &pchtml_tag_res_data_default[73], 11, 0}, {(char *)"feoffset", (void *) &pchtml_tag_res_data_default[75], 8, 60}, 
    {(char *)"#text", (void *) &pchtml_tag_res_data_default[2], 5, 0}, {(char *)"ul", (void *) &pchtml_tag_res_data_default[191], 2, 0}, 
    {(char *)"fespotlight", (void *) &pchtml_tag_res_data_default[78], 11, 66}, {(char *)"form", (void *) &pchtml_tag_res_data_default[87], 4, 72}, 
    {(char *)"#document", (void *) &pchtml_tag_res_data_default[3], 9, 76}, {(char *)"fedistantlight", (void *) &pchtml_tag_res_data_default[63], 14, 0}, 
    {(char *)"track", (void *) &pchtml_tag_res_data_default[188], 5, 0}, {(char *)"h3", (void *) &pchtml_tag_res_data_default[93], 2, 77}, 
    {(char *)"h1", (void *) &pchtml_tag_res_data_default[91], 2, 0}, {(char *)"i", (void *) &pchtml_tag_res_data_default[102], 1, 0}, 
    {(char *)"altglyph", (void *) &pchtml_tag_res_data_default[10], 8, 0}, {(char *)"legend", (void *) &pchtml_tag_res_data_default[112], 6, 115}, 
    {(char *)"tbody", (void *) &pchtml_tag_res_data_default[177], 5, 0}, {(char *)"address", (void *) &pchtml_tag_res_data_default[9], 7, 0}, 
    {(char *)"caption", (void *) &pchtml_tag_res_data_default[35], 7, 0}, {(char *)"option", (void *) &pchtml_tag_res_data_default[143], 6, 0}, 
    {(char *)"sup", (void *) &pchtml_tag_res_data_default[174], 3, 0}, {(char *)"body", (void *) &pchtml_tag_res_data_default[31], 4, 78}, 
    {(char *)"progress", (void *) &pchtml_tag_res_data_default[151], 8, 122}, {(char *)"acronym", (void *) &pchtml_tag_res_data_default[8], 7, 0}, 
    {(char *)"fegaussianblur", (void *) &pchtml_tag_res_data_default[70], 14, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"mi", (void *) &pchtml_tag_res_data_default[128], 2, 79}, {NULL, NULL, 0, 0}, 
    {(char *)"dfn", (void *) &pchtml_tag_res_data_default[48], 3, 0}, {(char *)"a", (void *) &pchtml_tag_res_data_default[6], 1, 80}, 
    {(char *)"listing", (void *) &pchtml_tag_res_data_default[116], 7, 87}, {(char *)"span", (void *) &pchtml_tag_res_data_default[168], 4, 0}, 
    {(char *)"area", (void *) &pchtml_tag_res_data_default[18], 4, 0}, {(char *)"clippath", (void *) &pchtml_tag_res_data_default[38], 8, 0}, 
    {(char *)"section", (void *) &pchtml_tag_res_data_default[162], 7, 0}, {(char *)"li", (void *) &pchtml_tag_res_data_default[113], 2, 88}, 
    {NULL, NULL, 0, 0}, {(char *)"html", (void *) &pchtml_tag_res_data_default[101], 4, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"fedropshadow", (void *) &pchtml_tag_res_data_default[64], 12, 0}, 
    {(char *)"embed", (void *) &pchtml_tag_res_data_default[55], 5, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"multicol", (void *) &pchtml_tag_res_data_default[133], 8, 0}, 
    {(char *)"var", (void *) &pchtml_tag_res_data_default[192], 3, 89}, {(char *)"rp", (void *) &pchtml_tag_res_data_default[155], 2, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"link", (void *) &pchtml_tag_res_data_default[115], 4, 0}, 
    {(char *)"mo", (void *) &pchtml_tag_res_data_default[130], 2, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"annotation-xml", (void *) &pchtml_tag_res_data_default[16], 14, 0}, 
    {(char *)"fedisplacementmap", (void *) &pchtml_tag_res_data_default[62], 17, 0}, {(char *)"center", (void *) &pchtml_tag_res_data_default[36], 6, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"fefuncb", (void *) &pchtml_tag_res_data_default[67], 7, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"meter", (void *) &pchtml_tag_res_data_default[125], 5, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"tt", (void *) &pchtml_tag_res_data_default[189], 2, 0}, 
    {(char *)"big", (void *) &pchtml_tag_res_data_default[28], 3, 93}, {NULL, NULL, 0, 0}, 
    {(char *)"tfoot", (void *) &pchtml_tag_res_data_default[182], 5, 0}, {(char *)"desc", (void *) &pchtml_tag_res_data_default[46], 4, 0}, 
    {(char *)"isindex", (void *) &pchtml_tag_res_data_default[108], 7, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"menu", (void *) &pchtml_tag_res_data_default[123], 4, 0}, {(char *)"hgroup", (void *) &pchtml_tag_res_data_default[99], 6, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"wbr", (void *) &pchtml_tag_res_data_default[194], 3, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"pre", (void *) &pchtml_tag_res_data_default[150], 3, 94}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"picture", (void *) &pchtml_tag_res_data_default[148], 7, 0}, {(char *)"h4", (void *) &pchtml_tag_res_data_default[94], 2, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"meta", (void *) &pchtml_tag_res_data_default[124], 4, 96}, {NULL, NULL, 0, 0}, 
    {(char *)"rtc", (void *) &pchtml_tag_res_data_default[157], 3, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"frame", (void *) &pchtml_tag_res_data_default[88], 5, 0}, {(char *)"fetile", (void *) &pchtml_tag_res_data_default[79], 6, 98}, 
    {(char *)"feimage", (void *) &pchtml_tag_res_data_default[71], 7, 99}, {NULL, NULL, 0, 0}, 
    {(char *)"xmp", (void *) &pchtml_tag_res_data_default[195], 3, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"fecomposite", (void *) &pchtml_tag_res_data_default[59], 11, 100}, {(char *)"feturbulence", (void *) &pchtml_tag_res_data_default[80], 12, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"summary", (void *) &pchtml_tag_res_data_default[173], 7, 0}, 
    {(char *)"mfenced", (void *) &pchtml_tag_res_data_default[126], 7, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"sub", (void *) &pchtml_tag_res_data_default[172], 3, 0}, {(char *)"colgroup", (void *) &pchtml_tag_res_data_default[41], 8, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"dd", (void *) &pchtml_tag_res_data_default[44], 2, 103}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"div", (void *) &pchtml_tag_res_data_default[51], 3, 0}, {(char *)"textarea", (void *) &pchtml_tag_res_data_default[180], 8, 0}, 
    {(char *)"!doctype", (void *) &pchtml_tag_res_data_default[5], 8, 0}, {(char *)"applet", (void *) &pchtml_tag_res_data_default[17], 6, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"br", (void *) &pchtml_tag_res_data_default[32], 2, 110}, 
    {NULL, NULL, 0, 0}, {(char *)"keygen", (void *) &pchtml_tag_res_data_default[110], 6, 0}, 
    {(char *)"kbd", (void *) &pchtml_tag_res_data_default[109], 3, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"plaintext", (void *) &pchtml_tag_res_data_default[149], 9, 0}, {(char *)"s", (void *) &pchtml_tag_res_data_default[159], 1, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"bdo", (void *) &pchtml_tag_res_data_default[26], 3, 0}, {(char *)"td", (void *) &pchtml_tag_res_data_default[178], 2, 0}, 
    {(char *)"fefunca", (void *) &pchtml_tag_res_data_default[66], 7, 0}, {(char *)"ol", (void *) &pchtml_tag_res_data_default[141], 2, 0}, 
    {(char *)"thead", (void *) &pchtml_tag_res_data_default[184], 5, 0}, {(char *)"nobr", (void *) &pchtml_tag_res_data_default[136], 4, 112}, 
    {NULL, NULL, 0, 0}, {(char *)"tr", (void *) &pchtml_tag_res_data_default[187], 2, 0}, 
    {(char *)"map", (void *) &pchtml_tag_res_data_default[119], 3, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"#undef", (void *) &pchtml_tag_res_data_default[0], 6, 113}, 
    {(char *)"em", (void *) &pchtml_tag_res_data_default[54], 2, 0}, {NULL, NULL, 0, 0}, 
    {(char *)"bdi", (void *) &pchtml_tag_res_data_default[25], 3, 0}, {(char *)"femorphology", (void *) &pchtml_tag_res_data_default[74], 12, 0}, 
    {(char *)"ms", (void *) &pchtml_tag_res_data_default[131], 2, 116}, {(char *)"footer", (void *) &pchtml_tag_res_data_default[85], 6, 0}, 
    {(char *)"fefuncr", (void *) &pchtml_tag_res_data_default[69], 7, 0}, {(char *)"rt", (void *) &pchtml_tag_res_data_default[156], 2, 117}, 
    {NULL, NULL, 0, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"h5", (void *) &pchtml_tag_res_data_default[95], 2, 0}, 
    {NULL, NULL, 0, 0}, {(char *)"ruby", (void *) &pchtml_tag_res_data_default[158], 4, 120}, 
    {(char *)"canvas", (void *) &pchtml_tag_res_data_default[34], 6, 0}, {NULL, NULL, 0, 0}, 
    {NULL, NULL, 0, 0}
};

#endif /* PCHTML_TAG_RES_H */

