/*
** Copyright (C) 2021 FMSoft <https://www.fmsoft.cn>
**
** This file is a part of Purring Cat 2, a HVML parser and interpreter.
** 
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Lesser General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public License
** along with this program.  If not, see <https://www.gnu.org/licenses/>.
**
** Author: Vincent Wei <https://github.com/VincentWei>
*/

// NOTE
// This file is auto-generated by using 'make_hvml_tags_table.py'.
// Please take care when you modify this file mannually.

// FIXME
#ifndef SIZEOF_PTR
#define SIZEOF_PTR 8
#endif

static const struct pchvml_tag_entry pchvml_tag_base_list[PCHVML_TAG_LAST_ENTRY] =
{
    { PCHVML_TAG__UNDEF, "-undef", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_NOUN | PCHVML_TAGCAT_ORDINARY },     // slot 0
    { PCHVML_TAG__TEXT, "-text", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_NOUN | PCHVML_TAGCAT_ORDINARY },     // slot 1
    { PCHVML_TAG__COMMENT, "_comment", 8, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_NOUN | PCHVML_TAGCAT_ORDINARY },     // slot 2
    { PCHVML_TAG__FOREIGN, "_foreign", 8, PCHVML_TOKENIZER_STATE_RAWTEXT,
        PCHVML_TAGCAT_FOREIGN | PCHVML_TAGCAT_ORDINARY },     // slot 3
    { PCHVML_TAG__DOCTYPE, "!DOCTYPE", 8, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_NOUN | PCHVML_TAGCAT_SPECIAL },     // slot 4
    { PCHVML_TAG_HVML, "hvml", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_FRAMEWORK | PCHVML_TAGCAT_NOUN },     // slot 5
    { PCHVML_TAG_HEAD, "head", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_FRAMEWORK | PCHVML_TAGCAT_NOUN },     // slot 6
    { PCHVML_TAG_BODY, "body", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_FRAMEWORK | PCHVML_TAGCAT_NOUN },     // slot 7
    { PCHVML_TAG_ARCHETYPE, "archetype", 9, PCHVML_TOKENIZER_STATE_RAWTEXT,
        PCHVML_TAGCAT_TEMPLATE | PCHVML_TAGCAT_FRAGMENT | PCHVML_TAGCAT_ORDINARY | PCHVML_TAGCAT_NOUN },     // slot 8
    { PCHVML_TAG_ERROR, "error", 5, PCHVML_TOKENIZER_STATE_RAWTEXT,
        PCHVML_TAGCAT_TEMPLATE | PCHVML_TAGCAT_FRAGMENT | PCHVML_TAGCAT_ORDINARY | PCHVML_TAGCAT_NOUN },     // slot 9
    { PCHVML_TAG_EXCEPT, "except", 6, PCHVML_TOKENIZER_STATE_RAWTEXT,
        PCHVML_TAGCAT_TEMPLATE | PCHVML_TAGCAT_FRAGMENT | PCHVML_TAGCAT_ORDINARY | PCHVML_TAGCAT_NOUN },     // slot 10
    { PCHVML_TAG_ARCHEDATA, "archedata", 9, PCHVML_TOKENIZER_STATE_RAWTEXT,
        PCHVML_TAGCAT_TEMPLATE | PCHVML_TAGCAT_DATA | PCHVML_TAGCAT_ORDINARY | PCHVML_TAGCAT_NOUN },     // slot 11
    { PCHVML_TAG_BACK, "back", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 12
    { PCHVML_TAG_BIND, "bind", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 13
    { PCHVML_TAG_CALL, "call", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 14
    { PCHVML_TAG_CATCH, "catch", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 15
    { PCHVML_TAG_CHOOSE, "choose", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 16
    { PCHVML_TAG_CLOSE, "close", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 17
    { PCHVML_TAG_CLEAR, "clear", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 18
    { PCHVML_TAG_CONNECT, "connect", 7, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 19
    { PCHVML_TAG_DEFINE, "define", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 20
    { PCHVML_TAG_ERASE, "erase", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 21
    { PCHVML_TAG_EXIT, "exit", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 22
    { PCHVML_TAG_INCLUDE, "include", 7, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 23
    { PCHVML_TAG_ITERATE, "iterate", 7, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 24
    { PCHVML_TAG_LISTEN, "listen", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 25
    { PCHVML_TAG_LOAD, "load", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 26
    { PCHVML_TAG_MATCH, "match", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 27
    { PCHVML_TAG_OBSERVE, "observe", 7, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 28
    { PCHVML_TAG_REQUEST, "request", 7, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 29
    { PCHVML_TAG_REDUCE, "reduce", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 30
    { PCHVML_TAG_RETURN, "return", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 31
    { PCHVML_TAG_SLEEP, "sleep", 5, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 32
    { PCHVML_TAG_TEST, "test", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 33
    { PCHVML_TAG_UPDATE, "update", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 34
    { PCHVML_TAG_FORGET, "forget", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 35
    { PCHVML_TAG_FIRE, "fire", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 36
    { PCHVML_TAG_INHERIT, "inherit", 7, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 37
    { PCHVML_TAG_DIFFER, "differ", 6, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 38
    { PCHVML_TAG_SORT, "sort", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_ORDINARY },     // slot 39
    { PCHVML_TAG_INIT, "init", 4, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_DATA | PCHVML_TAGCAT_ORDINARY },     // slot 40
    { PCHVML_TAG_SET, "set", 3, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_VERB | PCHVML_TAGCAT_DATA | PCHVML_TAGCAT_ORDINARY },     // slot 41
    { PCHVML_TAG__END_OF_FILE, "-end-of-file", 12, PCHVML_TOKENIZER_STATE_DATA,
        PCHVML_TAGCAT_NOUN | PCHVML_TAGCAT_ORDINARY },     // slot 42
};

#if SIZEOF_PTR == 8

#define PCHVML_BASE_STATIC_SIZE 43

static const struct pchvml_tag_static_list pchvml_tag_static_list_index[] =
{
   // hash value of this tag: 0x9ec2699513c0f9c3, slot index: 0
   { &pchvml_tag_base_list[PCHVML_TAG_CLOSE], 0},
   { NULL, 0},
   // hash value of this tag: 0x98f994ee29d30eb2, slot index: 2
   { &pchvml_tag_base_list[PCHVML_TAG__DOCTYPE], 43},
   { NULL, 0},
   // hash value of this tag: 0xe4a0f45ae7363d42, slot index: 4
   { &pchvml_tag_base_list[PCHVML_TAG__END_OF_FILE], 0},
   // hash value of this tag: 0xc71bef1c7cd467a7, slot index: 5
   { &pchvml_tag_base_list[PCHVML_TAG_INCLUDE], 0},
   // hash value of this tag: 0xcd4de79bc6c93295, slot index: 6
   { &pchvml_tag_base_list[PCHVML_TAG_BODY], 0},
   // hash value of this tag: 0x9f7452dd75d54d31, slot index: 7
   { &pchvml_tag_base_list[PCHVML_TAG_ERROR], 46},
   // hash value of this tag: 0x5feded18f07e3c11, slot index: 8
   { &pchvml_tag_base_list[PCHVML_TAG_SORT], 0},
   // hash value of this tag: 0xda46358c7e912020, slot index: 9
   { &pchvml_tag_base_list[PCHVML_TAG_CHOOSE], 47},
   { NULL, 0},
   { NULL, 0},
   // hash value of this tag: 0x183719c704a3501f, slot index: 12
   { &pchvml_tag_base_list[PCHVML_TAG__TEXT], 0},
   // hash value of this tag: 0x79fc63cc0e796102, slot index: 13
   { &pchvml_tag_base_list[PCHVML_TAG_HVML], 50},
   // hash value of this tag: 0x656069f20e4b131e, slot index: 14
   { &pchvml_tag_base_list[PCHVML_TAG__FOREIGN], 54},
   { NULL, 0},
   // hash value of this tag: 0xb5167a90e83ba4a9, slot index: 16
   { &pchvml_tag_base_list[PCHVML_TAG_CALL], 0},
   { NULL, 0},
   // hash value of this tag: 0x3287668ed3f492cc, slot index: 18
   { &pchvml_tag_base_list[PCHVML_TAG_FORGET], 0},
   // hash value of this tag: 0x6e815727576f5930, slot index: 19
   { &pchvml_tag_base_list[PCHVML_TAG_EXCEPT], 0},
   { NULL, 0},
   { NULL, 0},
   // hash value of this tag: 0xdec34c9bd0b6d2ee, slot index: 22
   { &pchvml_tag_base_list[PCHVML_TAG_BIND], 0},
   { NULL, 0},
   // hash value of this tag: 0x5920d140d70abeec, slot index: 24
   { &pchvml_tag_base_list[PCHVML_TAG_ARCHETYPE], 48},
   { NULL, 0},
   // hash value of this tag: 0xf531f89544a910a2, slot index: 26
   { &pchvml_tag_base_list[PCHVML_TAG_CLEAR], 49},
   // hash value of this tag: 0xf9e6e6ef197c2b25, slot index: 27
   { &pchvml_tag_base_list[PCHVML_TAG_TEST], 0},
   // hash value of this tag: 0xdc8acb313473c026, slot index: 28
   { &pchvml_tag_base_list[PCHVML_TAG_LISTEN], 0},
   // hash value of this tag: 0xe424d04ed760ceb5, slot index: 29
   { &pchvml_tag_base_list[PCHVML_TAG_ITERATE], 52},
   { NULL, 0},
   { NULL, 0},
   // hash value of this tag: 0x0a8f12cc5f9a0c03, slot index: 32
   { &pchvml_tag_base_list[PCHVML_TAG_HEAD], 45},
   { NULL, 0},
   // hash value of this tag: 0xc70dfcbcd32b48ac, slot index: 34
   { &pchvml_tag_base_list[PCHVML_TAG_ARCHEDATA], 0},
   // hash value of this tag: 0x71a3752fc11f9ec3, slot index: 35
   { &pchvml_tag_base_list[PCHVML_TAG__COMMENT], 44},
   { NULL, 0},
   // hash value of this tag: 0x6f4743b8bc5b4eb2, slot index: 37
   { &pchvml_tag_base_list[PCHVML_TAG_REQUEST], 53},
   // hash value of this tag: 0x45a762ddd46e0275, slot index: 38
   { &pchvml_tag_base_list[PCHVML_TAG_ERASE], 0},
   { NULL, 0},
   // hash value of this tag: 0x86b65d6cf338391a, slot index: 40
   { &pchvml_tag_base_list[PCHVML_TAG__UNDEF], 51},
   // hash value of this tag: 0x2f92df0bac03dce7, slot index: 41
   { &pchvml_tag_base_list[PCHVML_TAG_REDUCE], 0},
   // hash value of this tag: 0x9a46ff9baa276602, slot index: 42
   { &pchvml_tag_base_list[PCHVML_TAG_BACK], 0},
   // hash value of this tag: 0xc1b2e33b13ec076c, slot index: 2
   { &pchvml_tag_base_list[PCHVML_TAG_CATCH], 55},
   // hash value of this tag: 0x54cb3aded715c1b9, slot index: 35
   { &pchvml_tag_base_list[PCHVML_TAG_CONNECT], 0},
   // hash value of this tag: 0x4c56130c429d6d92, slot index: 32
   { &pchvml_tag_base_list[PCHVML_TAG_DEFINE], 57},
   // hash value of this tag: 0xe79e4d608e807965, slot index: 7
   { &pchvml_tag_base_list[PCHVML_TAG_EXIT], 0},
   // hash value of this tag: 0xce0eecad70f271e9, slot index: 9
   { &pchvml_tag_base_list[PCHVML_TAG_LOAD], 0},
   // hash value of this tag: 0xc3bfe3a4fe4c13f6, slot index: 24
   { &pchvml_tag_base_list[PCHVML_TAG_MATCH], 0},
   // hash value of this tag: 0xd9760e5c71e67b3f, slot index: 26
   { &pchvml_tag_base_list[PCHVML_TAG_OBSERVE], 56},
   // hash value of this tag: 0xc5c7b983377cad5f, slot index: 13
   { &pchvml_tag_base_list[PCHVML_TAG_RETURN], 0},
   // hash value of this tag: 0x3d5dd56be3296048, slot index: 40
   { &pchvml_tag_base_list[PCHVML_TAG_SLEEP], 0},
   // hash value of this tag: 0xa0ad68312a3d0454, slot index: 29
   { &pchvml_tag_base_list[PCHVML_TAG_UPDATE], 0},
   // hash value of this tag: 0xaa77f578efdfc4b9, slot index: 37
   { &pchvml_tag_base_list[PCHVML_TAG_FIRE], 0},
   // hash value of this tag: 0x45d390e7a9ecfa00, slot index: 14
   { &pchvml_tag_base_list[PCHVML_TAG_INHERIT], 0},
   // hash value of this tag: 0xed6ea39ee10b38cd, slot index: 2
   { &pchvml_tag_base_list[PCHVML_TAG_DIFFER], 0},
   // hash value of this tag: 0xf5d2afc57ab57213, slot index: 26
   { &pchvml_tag_base_list[PCHVML_TAG_INIT], 0},
   // hash value of this tag: 0x823b87195ce20e23, slot index: 32
   { &pchvml_tag_base_list[PCHVML_TAG_SET], 0},
};

#else   /* SIZEOF_PTR == 4 */

#define PCHVML_BASE_STATIC_SIZE 43

static const struct pchvml_tag_static_list pchvml_tag_static_list_index[] =
{
   // hash value of this tag: 0x000000003eaa09b2, slot index: 0
   { &pchvml_tag_base_list[PCHVML_TAG_REQUEST], 0},
   { NULL, 0},
   // hash value of this tag: 0x000000009bc6b072, slot index: 2
   { &pchvml_tag_base_list[PCHVML_TAG__DOCTYPE], 44},
   // hash value of this tag: 0x000000005c6e1222, slot index: 3
   { &pchvml_tag_base_list[PCHVML_TAG_CLEAR], 0},
   { NULL, 0},
   // hash value of this tag: 0x0000000072ca100c, slot index: 5
   { &pchvml_tag_base_list[PCHVML_TAG_ARCHEDATA], 0},
   // hash value of this tag: 0x00000000e60759e9, slot index: 6
   { &pchvml_tag_base_list[PCHVML_TAG_LOAD], 0},
   // hash value of this tag: 0x00000000dbaa7975, slot index: 7
   { &pchvml_tag_base_list[PCHVML_TAG_BODY], 0},
   { NULL, 0},
   { NULL, 0},
   // hash value of this tag: 0x0000000075597a67, slot index: 10
   { &pchvml_tag_base_list[PCHVML_TAG_INCLUDE], 55},
   // hash value of this tag: 0x00000000b9696f03, slot index: 11
   { &pchvml_tag_base_list[PCHVML_TAG__COMMENT], 0},
   // hash value of this tag: 0x0000000085ee37bf, slot index: 12
   { &pchvml_tag_base_list[PCHVML_TAG_RETURN], 0},
   // hash value of this tag: 0x000000004288e94c, slot index: 13
   { &pchvml_tag_base_list[PCHVML_TAG_CATCH], 0},
   // hash value of this tag: 0x0000000086eeeedf, slot index: 14
   { &pchvml_tag_base_list[PCHVML_TAG_OBSERVE], 0},
   // hash value of this tag: 0x00000000c7535f2e, slot index: 15
   { &pchvml_tag_base_list[PCHVML_TAG_BIND], 0},
   { NULL, 0},
   // hash value of this tag: 0x00000000c1406a8d, slot index: 17
   { &pchvml_tag_base_list[PCHVML_TAG_DIFFER], 0},
   { NULL, 0},
   // hash value of this tag: 0x0000000077548ee7, slot index: 19
   { &pchvml_tag_base_list[PCHVML_TAG_REDUCE], 0},
   { NULL, 0},
   // hash value of this tag: 0x000000004223db9f, slot index: 21
   { &pchvml_tag_base_list[PCHVML_TAG__TEXT], 43},
   // hash value of this tag: 0x0000000032694bc3, slot index: 22
   { &pchvml_tag_base_list[PCHVML_TAG_HEAD], 46},
   // hash value of this tag: 0x000000007b39379e, slot index: 23
   { &pchvml_tag_base_list[PCHVML_TAG__FOREIGN], 56},
   // hash value of this tag: 0x000000003c41ddd5, slot index: 24
   { &pchvml_tag_base_list[PCHVML_TAG_ERASE], 0},
   // hash value of this tag: 0x00000000baa7f502, slot index: 25
   { &pchvml_tag_base_list[PCHVML_TAG__END_OF_FILE], 0},
   { NULL, 0},
   { NULL, 0},
   { NULL, 0},
   { NULL, 0},
   // hash value of this tag: 0x0000000069f6105a, slot index: 30
   { &pchvml_tag_base_list[PCHVML_TAG__UNDEF], 45},
   { NULL, 0},
   { NULL, 0},
   // hash value of this tag: 0x0000000089eabb08, slot index: 33
   { &pchvml_tag_base_list[PCHVML_TAG_SLEEP], 50},
   // hash value of this tag: 0x0000000056664acc, slot index: 34
   { &pchvml_tag_base_list[PCHVML_TAG_ARCHETYPE], 47},
   // hash value of this tag: 0x0000000038adcbf0, slot index: 35
   { &pchvml_tag_base_list[PCHVML_TAG_EXCEPT], 54},
   // hash value of this tag: 0x000000007e202f96, slot index: 36
   { &pchvml_tag_base_list[PCHVML_TAG_MATCH], 0},
   // hash value of this tag: 0x00000000afd071e5, slot index: 37
   { &pchvml_tag_base_list[PCHVML_TAG_TEST], 0},
   // hash value of this tag: 0x000000003b3b76a6, slot index: 38
   { &pchvml_tag_base_list[PCHVML_TAG_LISTEN], 51},
   // hash value of this tag: 0x00000000b3f184a9, slot index: 39
   { &pchvml_tag_base_list[PCHVML_TAG_CALL], 0},
   // hash value of this tag: 0x0000000046ff9c40, slot index: 40
   { &pchvml_tag_base_list[PCHVML_TAG_CHOOSE], 0},
   // hash value of this tag: 0x0000000021918751, slot index: 41
   { &pchvml_tag_base_list[PCHVML_TAG_ERROR], 0},
   { NULL, 0},
   // hash value of this tag: 0x00000000fff3c0e2, slot index: 21
   { &pchvml_tag_base_list[PCHVML_TAG_HVML], 0},
   // hash value of this tag: 0x000000005bb421a2, slot index: 2
   { &pchvml_tag_base_list[PCHVML_TAG_BACK], 49},
   // hash value of this tag: 0x0000000027cb3b23, slot index: 30
   { &pchvml_tag_base_list[PCHVML_TAG_CLOSE], 0},
   // hash value of this tag: 0x00000000aae0ccf9, slot index: 22
   { &pchvml_tag_base_list[PCHVML_TAG_CONNECT], 52},
   // hash value of this tag: 0x000000006a9f8552, slot index: 34
   { &pchvml_tag_base_list[PCHVML_TAG_DEFINE], 48},
   // hash value of this tag: 0x00000000cded1a85, slot index: 34
   { &pchvml_tag_base_list[PCHVML_TAG_EXIT], 0},
   // hash value of this tag: 0x0000000081998a35, slot index: 2
   { &pchvml_tag_base_list[PCHVML_TAG_ITERATE], 0},
   // hash value of this tag: 0x00000000280f9474, slot index: 33
   { &pchvml_tag_base_list[PCHVML_TAG_UPDATE], 0},
   // hash value of this tag: 0x00000000282c316c, slot index: 38
   { &pchvml_tag_base_list[PCHVML_TAG_FORGET], 53},
   // hash value of this tag: 0x000000008eab16d9, slot index: 22
   { &pchvml_tag_base_list[PCHVML_TAG_FIRE], 0},
   // hash value of this tag: 0x00000000ca04efe0, slot index: 38
   { &pchvml_tag_base_list[PCHVML_TAG_INHERIT], 0},
   // hash value of this tag: 0x00000000042bc8d1, slot index: 35
   { &pchvml_tag_base_list[PCHVML_TAG_SORT], 0},
   // hash value of this tag: 0x0000000016b1d373, slot index: 10
   { &pchvml_tag_base_list[PCHVML_TAG_INIT], 0},
   // hash value of this tag: 0x00000000c6270703, slot index: 23
   { &pchvml_tag_base_list[PCHVML_TAG_SET], 0},
};

#endif  /* SIZEOF_PTR == 4 */

