/*
 * Author: XueShuming
 *
 * Copyright (C) 2021 FMSoft <https://www.fmsoft.cn>
 *
 * This file is a part of PurC (short for Purring Cat), an HVML interpreter.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>
 */

 // NOTE
 // This file is auto-generated by using 'make-error-info.py'.
 // Please take care when you modify this file mannually.


static struct err_msg_info hvml_err_msgs[] = {
    /* PCHVML_ERROR_UNEXPECTED_NULL_CHARACTER */
    {
        "pchvml error unexpected null character",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_QUESTION_MARK_INSTEAD_OF_TAG_NAME */
    {
        "pchvml error unexpected question mark instead of tag name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EOF_BEFORE_TAG_NAME */
    {
        "pchvml error eof before tag name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_END_TAG_NAME */
    {
        "pchvml error missing end tag name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_INVALID_FIRST_CHARACTER_OF_TAG_NAME */
    {
        "pchvml error invalid first character of tag name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EOF_IN_TAG */
    {
        "pchvml error eof in tag",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_EQUALS_SIGN_BEFORE_ATTRIBUTE_NAME */
    {
        "pchvml error unexpected equals sign before attribute name",
        PURC_EXCEPT_BAD_HVML_ATTR_NAME,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_CHARACTER_IN_ATTRIBUTE_NAME */
    {
        "pchvml error unexpected character in attribute name",
        PURC_EXCEPT_BAD_HVML_ATTR_NAME,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_CHARACTER_IN_UNQUOTED_ATTRIBUTE_VALUE */
    {
        "pchvml error unexpected character in unquoted attribute value",
        PURC_EXCEPT_BAD_HVML_ATTR_VALUE,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_WHITESPACE_BETWEEN_ATTRIBUTES */
    {
        "pchvml error missing whitespace between attributes",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_SOLIDUS_IN_TAG */
    {
        "pchvml error unexpected solidus in tag",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_CDATA_IN_HTML_CONTENT */
    {
        "pchvml error cdata in html content",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_INCORRECTLY_OPENED_COMMENT */
    {
        "pchvml error incorrectly opened comment",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_ABRUPT_CLOSING_OF_EMPTY_COMMENT */
    {
        "pchvml error abrupt closing of empty comment",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EOF_IN_COMMENT */
    {
        "pchvml error eof in comment",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EOF_IN_DOCTYPE */
    {
        "pchvml error eof in doctype",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_WHITESPACE_BEFORE_DOCTYPE_NAME */
    {
        "pchvml error missing whitespace before doctype name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_DOCTYPE_NAME */
    {
        "pchvml error missing doctype name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_INVALID_CHARACTER_SEQUENCE_AFTER_DOCTYPE_NAME */
    {
        "pchvml error invalid character sequence after doctype name",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_WHITESPACE_AFTER_DOCTYPE_PUBLIC_KEYWORD */
    {
        "pchvml error missing whitespace after doctype public keyword",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_DOCTYPE_PUBLIC_ID */
    {
        "pchvml error missing doctype public identifier",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_QUOTE_BEFORE_DOCTYPE_PUBLIC_ID */
    {
        "pchvml error missing quote before doctype public identifier",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_ABRUPT_DOCTYPE_PUBLIC_ID */
    {
        "pchvml error abrupt doctype public identifier",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_WHITESPACE_BETWEEN_DOCTYPE_PUB_AND_SYS */
    {
        "pchvml error missing whitespace between doctype public and system informations",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_WHITESPACE_AFTER_DOCTYPE_SYSTEM_KEYWORD */
    {
        "pchvml error missing whitespace after doctype system keyword",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_DOCTYPE_SYSTEM */
    {
        "pchvml error missing doctype system information",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_ABRUPT_DOCTYPE_SYSTEM */
    {
        "pchvml error abrupt doctype system information",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_CHARACTER_AFTER_DOCTYPE_SYSTEM */
    {
        "pchvml error unexpected character after doctype system information",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EOF_IN_CDATA */
    {
        "pchvml error eof in cdata",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNKNOWN_NAMED_CHARACTER_REFERENCE */
    {
        "pchvml error unknown named character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_ABSENCE_OF_DIGITS_IN_NUMERIC_CHARACTER_REFERENCE */
    {
        "pchvml error absence of digits in numeric character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_CHARACTER */
    {
        "pchvml error unexpected character",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_JSON_NUMBER_EXPONENT */
    {
        "pchvml error unexpected json number exponent",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_JSON_NUMBER_FRACTION */
    {
        "pchvml error unexpected json number fraction",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_JSON_NUMBER_INTEGER */
    {
        "pchvml error unexpected json number integer",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_JSON_NUMBER */
    {
        "pchvml error unexpected json number",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_RIGHT_BRACE */
    {
        "pchvml error unexpected right brace",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_RIGHT_BRACKET */
    {
        "pchvml error unexpected right bracket",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_JSON_KEY_NAME */
    {
        "pchvml error unexpected json key name",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_COMMA */
    {
        "pchvml error unexpected comma",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_JSON_KEYWORD */
    {
        "pchvml error unexpected json keyword",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_UNEXPECTED_BASE64 */
    {
        "pchvml error unexpected base64",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSON_NUMBER */
    {
        "pchvml error bad json number",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSON_STRING_ESCAPE_ENTITY */
    {
        "pchvml error bad json string escape entity",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE */
    {
        "pchvml error bad jsonee",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_ESCAPE_ENTITY */
    {
        "pchvml error bad jsonee escape entity",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_VARIABLE_NAME */
    {
        "pchvml error bad jsonee variable name",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EMPTY_JSONEE_NAME */
    {
        "pchvml error empty jsonee name",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_NAME */
    {
        "pchvml error bad jsonee name",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_KEYWORD */
    {
        "pchvml error bad jsonee keyword",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_EMPTY_JSONEE_KEYWORD */
    {
        "pchvml error empty jsonee keyword",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_UNEXPECTED_COMMA */
    {
        "pchvml error bad jsonee unexpected comma",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_UNEXPECTED_PARENTHESIS */
    {
        "pchvml error bad jsonee unexpected parenthesis",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_BAD_JSONEE_UNEXPECTED_LEFT_ANGLE_BRACKET */
    {
        "pchvml error bad jsonee unexpected left angle bracket",
        PURC_EXCEPT_BAD_EXPRESSION,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_MISSING_ATTRIBUTE_VALUE */
    {
        "pchvml error missing missing attribute value",
        PURC_EXCEPT_BAD_HVML_ATTR_VALUE,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_NESTED_COMMENT */
    {
        "pchvml error nested comment",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_INCORRECTLY_CLOSED_COMMENT */
    {
        "pchvml error incorrectly closed comment",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_QUOTE_BEFORE_DOCTYPE_SYSTEM */
    {
        "pchvml error missing quote before doctype system information",
        PURC_EXCEPT_BAD_HVML_TAG,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_MISSING_SEMICOLON_AFTER_CHARACTER_REFERENCE */
    {
        "pchvml error missing semicolon after character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_CHARACTER_REFERENCE_OUTSIDE_UNICODE_RANGE */
    {
        "pchvml error character reference outside unicode range",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_SURROGATE_CHARACTER_REFERENCE */
    {
        "pchvml error surrogate character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_NONCHARACTER_CHARACTER_REFERENCE */
    {
        "pchvml error noncharacter character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_NULL_CHARACTER_REFERENCE */
    {
        "pchvml error null character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_CONTROL_CHARACTER_REFERENCE */
    {
        "pchvml error control character reference",
        PURC_EXCEPT_BAD_HVML_CONTENT,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
    /* PCHVML_ERROR_INVALID_UTF8CHARACTER */
    {
        "pchvml error invalid utf8 character",
        PURC_EXCEPT_BAD_ENCODING,
        PURC_EXCEPT_FLAGS_NONE,
        0
    },
};

