/*
** Copyright (C) 2021 FMSoft <https://www.fmsoft.cn>
**
** This file is a part of Purring Cat 2, a HVML parser and interpreter.
** 
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Lesser General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public License
** along with this program.  If not, see <https://www.gnu.org/licenses/>.
**
** Author: Vincent Wei <https://github.com/VincentWei>
*/

// NOTE
// This file is auto-generated by using 'make_keywords.py'.
// Please take care when you modify this file mannually.

#ifndef PCHVML_KEYWORD_H          /* { */
#define PCHVML_KEYWORD_H

#include "purc.h"
#include "private/atom-buckets.h"

#define PCHVML_KEYWORD_BUCKET(prefix)   ATOM_BUCKET_##prefix


// NOTE: actually, idx in configs array
#define PCHVML_KEYWORD_ENUM(prefix, kw) PCHVML_KEYWORD_##prefix##_##kw

#define PCHVML_KEYWORD_ATOM(prefix, str) \
    pchvml_keyword_try_string(PCHVML_KEYWORD_BUCKET(prefix), str)

enum pchvml_keyword_enum {
    /*   0 */ /*=*/ PCHVML_KEYWORD_HVML_ADD,
    /*   1 */       PCHVML_KEYWORD_HVML_CHAR,
    /*   2 */       PCHVML_KEYWORD_HVML_CLASS,
    /*   3 */       PCHVML_KEYWORD_HVML_DIV,
    /*   4 */       PCHVML_KEYWORD_HVML_FILTER,
    /*   5 */       PCHVML_KEYWORD_HVML_FORMULA,
    /*   6 */       PCHVML_KEYWORD_HVML_FUNC,
    /*   7 */       PCHVML_KEYWORD_HVML_KEY,
    /*   8 */       PCHVML_KEYWORD_HVML_MUL,
    /*   9 */       PCHVML_KEYWORD_HVML_OBJFORMULA,
    /*  10 */       PCHVML_KEYWORD_HVML_RANGE,
    /*  11 */       PCHVML_KEYWORD_HVML_SQL,
    /*  12 */       PCHVML_KEYWORD_HVML_SUB,
    /*  13 */       PCHVML_KEYWORD_HVML_TOKEN,
    /*  14 */       PCHVML_KEYWORD_HVML_TRAVEL,
    /*  15 */       PCHVML_KEYWORD_HVML__GRANDPARENT,
    /*  16 */       PCHVML_KEYWORD_HVML__LAST,
    /*  17 */       PCHVML_KEYWORD_HVML__NEXTTOLAST,
    /*  18 */       PCHVML_KEYWORD_HVML__PARENT,
    /*  19 */       PCHVML_KEYWORD_HVML__ROOT,
    /*  20 */       PCHVML_KEYWORD_HVML__RUNNER,
    /*  21 */       PCHVML_KEYWORD_HVML__TOPMOST,
    /*  22 */       PCHVML_KEYWORD_HVML_ADDPAGEGROUPS,
    /*  23 */       PCHVML_KEYWORD_HVML_AGAINST,
    /*  24 */       PCHVML_KEYWORD_HVML_APPEND,
    /*  25 */       PCHVML_KEYWORD_HVML_AS,
    /*  26 */       PCHVML_KEYWORD_HVML_ASC,
    /*  27 */       PCHVML_KEYWORD_HVML_ASCENDINGLY,
    /*  28 */       PCHVML_KEYWORD_HVML_ASYNC,
    /*  29 */       PCHVML_KEYWORD_HVML_ASYNCHRONOUSLY,
    /*  30 */       PCHVML_KEYWORD_HVML_AT,
    /*  31 */       PCHVML_KEYWORD_HVML_BY,
    /*  32 */       PCHVML_KEYWORD_HVML_CALL,
    /*  33 */       PCHVML_KEYWORD_HVML_CALLMETHOD,
    /*  34 */       PCHVML_KEYWORD_HVML_CASE,
    /*  35 */       PCHVML_KEYWORD_HVML_CASEINSENSITIVELY,
    /*  36 */       PCHVML_KEYWORD_HVML_CASELESS,
    /*  37 */       PCHVML_KEYWORD_HVML_CASESENSITIVELY,
    /*  38 */       PCHVML_KEYWORD_HVML_CLEAR,
    /*  39 */       PCHVML_KEYWORD_HVML_CONC,
    /*  40 */       PCHVML_KEYWORD_HVML_CONCURRENTLY,
    /*  41 */       PCHVML_KEYWORD_HVML_CONST,
    /*  42 */       PCHVML_KEYWORD_HVML_CONSTANTLY,
    /*  43 */       PCHVML_KEYWORD_HVML_CREATEPLAINWINDOW,
    /*  44 */       PCHVML_KEYWORD_HVML_CREATEWIDGET,
    /*  45 */       PCHVML_KEYWORD_HVML_CREATEWORKSPACE,
    /*  46 */       PCHVML_KEYWORD_HVML_DESC,
    /*  47 */       PCHVML_KEYWORD_HVML_DESCENDINGLY,
    /*  48 */       PCHVML_KEYWORD_HVML_DESTROYPLAINWINDOW,
    /*  49 */       PCHVML_KEYWORD_HVML_DESTROYWIDGET,
    /*  50 */       PCHVML_KEYWORD_HVML_DESTROYWORKSPACE,
    /*  51 */       PCHVML_KEYWORD_HVML_DISPLACE,
    /*  52 */       PCHVML_KEYWORD_HVML_ENDSESSION,
    /*  53 */       PCHVML_KEYWORD_HVML_ERASE,
    /*  54 */       PCHVML_KEYWORD_HVML_EXCL,
    /*  55 */       PCHVML_KEYWORD_HVML_EXCLUSIVELY,
    /*  56 */       PCHVML_KEYWORD_HVML_FOR,
    /*  57 */       PCHVML_KEYWORD_HVML_FROM,
    /*  58 */       PCHVML_KEYWORD_HVML_HREF,
    /*  59 */       PCHVML_KEYWORD_HVML_IDD_BY,
    /*  60 */       PCHVML_KEYWORD_HVML_IN,
    /*  61 */       PCHVML_KEYWORD_HVML_INDIVIDUALLY,
    /*  62 */       PCHVML_KEYWORD_HVML_INDV,
    /*  63 */       PCHVML_KEYWORD_HVML_INSERTAFTER,
    /*  64 */       PCHVML_KEYWORD_HVML_INSERTBEFORE,
    /*  65 */       PCHVML_KEYWORD_HVML_INTERSECT,
    /*  66 */       PCHVML_KEYWORD_HVML_LOAD,
    /*  67 */       PCHVML_KEYWORD_HVML_MERGE,
    /*  68 */       PCHVML_KEYWORD_HVML_METHOD,
    /*  69 */       PCHVML_KEYWORD_HVML_MUST_YIELD,
    /*  70 */       PCHVML_KEYWORD_HVML_NAME,
    /*  71 */       PCHVML_KEYWORD_HVML_NO_RETURN,
    /*  72 */       PCHVML_KEYWORD_HVML_NORETURN,
    /*  73 */       PCHVML_KEYWORD_HVML_NOSE_TO_TAIL,
    /*  74 */       PCHVML_KEYWORD_HVML_NOSETOTAIL,
    /*  75 */       PCHVML_KEYWORD_HVML_ON,
    /*  76 */       PCHVML_KEYWORD_HVML_ONCE,
    /*  77 */       PCHVML_KEYWORD_HVML_ONLYIF,
    /*  78 */       PCHVML_KEYWORD_HVML_ONTO,
    /*  79 */       PCHVML_KEYWORD_HVML_OVERWRITE,
    /*  80 */       PCHVML_KEYWORD_HVML_PARAM,
    /*  81 */       PCHVML_KEYWORD_HVML_PREPEND,
    /*  82 */       PCHVML_KEYWORD_HVML_RAW,
    /*  83 */       PCHVML_KEYWORD_HVML_REL,
    /*  84 */       PCHVML_KEYWORD_HVML_REMOVE,
    /*  85 */       PCHVML_KEYWORD_HVML_REMOVEPAGEGROUP,
    /*  86 */       PCHVML_KEYWORD_HVML_RESP,
    /*  87 */       PCHVML_KEYWORD_HVML_RESPONSIVELY,
    /*  88 */       PCHVML_KEYWORD_HVML_SETPAGEGROUPS,
    /*  89 */       PCHVML_KEYWORD_HVML_SILENTLY,
    /*  90 */       PCHVML_KEYWORD_HVML_SRC,
    /*  91 */       PCHVML_KEYWORD_HVML_STARTSESSION,
    /*  92 */       PCHVML_KEYWORD_HVML_SUBTRACT,
    /*  93 */       PCHVML_KEYWORD_HVML_SYNC,
    /*  94 */       PCHVML_KEYWORD_HVML_SYNCHRONOUSLY,
    /*  95 */       PCHVML_KEYWORD_HVML_TARGET,
    /*  96 */       PCHVML_KEYWORD_HVML_TEMP,
    /*  97 */       PCHVML_KEYWORD_HVML_TEMPLATE,
    /*  98 */       PCHVML_KEYWORD_HVML_TEMPORARILY,
    /*  99 */       PCHVML_KEYWORD_HVML_TO,
    /* 100 */       PCHVML_KEYWORD_HVML_TYPE,
    /* 101 */       PCHVML_KEYWORD_HVML_UNIQ,
    /* 102 */       PCHVML_KEYWORD_HVML_UNIQUELY,
    /* 103 */       PCHVML_KEYWORD_HVML_UNITE,
    /* 104 */       PCHVML_KEYWORD_HVML_UPDATEPLAINWINDOW,
    /* 105 */       PCHVML_KEYWORD_HVML_UPDATEWIDGET,
    /* 106 */       PCHVML_KEYWORD_HVML_UPDATEWORKSPACE,
    /* 107 */       PCHVML_KEYWORD_HVML_VIA,
    /* 108 */       PCHVML_KEYWORD_HVML_WHILE,
    /* 109 */       PCHVML_KEYWORD_HVML_WHOLLY,
    /* 110 */       PCHVML_KEYWORD_HVML_WITH,
    /* 111 */       PCHVML_KEYWORD_HVML_WITHIN,
    /* 112 */       PCHVML_KEYWORD_HVML_WRITEBEGIN,
    /* 113 */       PCHVML_KEYWORD_HVML_WRITEEND,
    /* 114 */       PCHVML_KEYWORD_HVML_WRITEMORE,
    /* 115 */       PCHVML_KEYWORD_HVML_XOR,
    /* 116 */ /*=*/ PCHVML_KEYWORD_MSG_ASYNC,
    /* 117 */       PCHVML_KEYWORD_MSG_ATTACHED,
    /* 118 */       PCHVML_KEYWORD_MSG_CALLSTATE,
    /* 119 */       PCHVML_KEYWORD_MSG_CHANGE,
    /* 120 */       PCHVML_KEYWORD_MSG_CLICK,
    /* 121 */       PCHVML_KEYWORD_MSG_CLOSE,
    /* 122 */       PCHVML_KEYWORD_MSG_CORSTATE,
    /* 123 */       PCHVML_KEYWORD_MSG_DBLCLICK,
    /* 124 */       PCHVML_KEYWORD_MSG_DETACHED,
    /* 125 */       PCHVML_KEYWORD_MSG_DISPLACED,
    /* 126 */       PCHVML_KEYWORD_MSG_EVENT,
    /* 127 */       PCHVML_KEYWORD_MSG_EXCEPT,
    /* 128 */       PCHVML_KEYWORD_MSG_EXPIRED,
    /* 129 */       PCHVML_KEYWORD_MSG_FETCHERSTATE,
    /* 130 */       PCHVML_KEYWORD_MSG_IDLE,
    /* 131 */       PCHVML_KEYWORD_MSG_LASTMSG,
    /* 132 */       PCHVML_KEYWORD_MSG_RDRSTATE,
    /* 133 */       PCHVML_KEYWORD_MSG_READABLE,
    /* 134 */       PCHVML_KEYWORD_MSG_REQUEST,
    /* 135 */       PCHVML_KEYWORD_MSG_REQUESTCHAN,
    /* 136 */       PCHVML_KEYWORD_MSG_RESPONSE,
    /* 137 */       PCHVML_KEYWORD_MSG_SLEEP,
    /* 138 */       PCHVML_KEYWORD_MSG_SUBEXIT,
    /* 139 */       PCHVML_KEYWORD_MSG_WRITABLE,
};


// keyword: PCHVML_KEYWORD_ENUM(prefix, kw)
purc_atom_t pchvml_keyword(enum pchvml_keyword_enum keyword);
// bucket: PCHVML_KEYWORD_BUCKET(prefix)
purc_atom_t pchvml_keyword_try_string(enum pcatom_bucket bucket,
        const char *keyword);

// NOTE: if no keyword is found, returns empty string ""
// keyword: PCHVML_KEYWORD_ENUM(prefix, kw)
static inline const char*
pchvml_keyword_str(enum pchvml_keyword_enum keyword)
{
    purc_atom_t atom = pchvml_keyword(keyword);
    if (!atom)
        return "";
    return purc_atom_to_string(atom);
}

#endif // PCHVML_KEYWORD_H        /* } */

